package pps.core.common.pdf;

import gui.ava.html.parser.HtmlParser;
import gui.ava.html.parser.HtmlParserImpl;
import gui.ava.html.renderer.ImageRenderer;
import gui.ava.html.renderer.ImageRendererImpl;

import java.awt.*;

public class HtmlToPng {
    public static void main(String[] args) {
        HtmlParser htmlParser = new HtmlParserImpl();
        //加载html模版
        htmlParser.loadHtml("<!DOCTYPE html>\n" +
                "<html lang=\"en\">\n" +
                "  <head>\n" +
                "    <meta charset=\"utf-8\" />\n" +
                "    <title>PPS</title>\n" +
                "\t\t<style>\n" +
                "\t\t\ttable{\n" +
                "\t\t\t\twidth: 100%;\n" +
                "\t\t\t\tborder-collapse: collapse;\n" +
                "\t\t\t\tborder-spacing: 0;\n" +
                "\t\t\t}\n" +
                "\t\t\ttable, th, td{\n" +
                "\t\t\t\tborder: 1px solid #000000;\n" +
                "\t\t\t\ttext-align: center;\n" +
                "\t\t\t}\n" +
                "\t\t\tth{\n" +
                "\t\t\t\twidth: auto;\n" +
                "\t\t\t\tline-height: 3;\n" +
                "\t\t\t\tfont-weight: bold;\n" +
                "\t\t\t\tcolor: red;\n" +
                "\t\t\t}\n" +
                "\t\t\ttd{\n" +
                "\t\t\t\twidth: auto;\n" +
                "\t\t\t\tline-height: 2;\n" +
                "\t\t\t}\n" +
                "\t\t</style>\n" +
                "  </head>\n" +
                "  <body>\n" +
                "\t<div style=\"padding: 16px;box-sizing: border-box;background-color: #ffffff\">\n" +
                "\t\t<div style=\"text-align: center\">@mOuName</div>\n" +
                "\t\t<div style=\"text-align: center\">天然气计量交接凭证（中卫首站）</div>\n" +
                "\t\t<div style=\"border-bottom: 1px solid #999;margin: 10px 0;\"></div>\n" +
                "\t\t<div style=\"margin-bottom: 10px\">\n" +
                "\t\t\t<div style=\"display:inline-block;width: 50%;\">填写日期：2022-07-07</div>\n" +
                "\t\t\t<div style=\"display:inline-block;width: 50%;\">凭证编号：@voucherCode</div>\n" +
                "\t\t</div>\n" +
                "\t\t<table  border=\"1\">\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>承运单位：</td>\n" +
                "\t\t\t\t<td colspan=\"6\">@mOuName</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>托运单位：</td>\n" +
                "\t\t\t\t<td colspan=\"6\"></td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>接收单位：</td>\n" +
                "\t\t\t\t<td colspan=\"6\">@cOuName</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>计量时间：</td>\n" +
                "\t\t\t\t<td colspan=\"6\">2022年7月5日 08:00 至 2022年7月6日 08:00</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<th>计量交接地点</th>\n" +
                "\t\t\t\t<th>流量计位号</th>\n" +
                "\t\t\t\t<th>前日日累（体积量）Nm3</th>\n" +
                "\t\t\t\t<th>前日日累（能量）MJ</th>\n" +
                "\t\t\t\t<th>平均高位发热量MJ/m3</th>\n" +
                "\t\t\t\t<th>计量气量Nm3</th>\n" +
                "\t\t\t\t<th>计量能量MJ</th>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>@detailStationName0</td>\n" +
                "\t\t\t\t<td>@detailEquipmentName0</td>\n" +
                "\t\t\t\t<td>@detailGasVolumeYesterday0</td>\n" +
                "\t\t\t\t<td>156140210</td>\n" +
                "\t\t\t\t<td>6436881280</td>\n" +
                "\t\t\t\t<td>11009989685</td>\n" +
                "\t\t\t\t<td>13242421311</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>@detailStationName1</td>\n" +
                "\t\t\t\t<td>@detailEquipmentName1</td>\n" +
                "\t\t\t\t<td>@detailGasVolumeYesterday1</td>\n" +
                "\t\t\t\t<td>156140210</td>\n" +
                "\t\t\t\t<td>6436881280</td>\n" +
                "\t\t\t\t<td>11009989685</td>\n" +
                "\t\t\t\t<td>13242421311</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>@detailStationName2</td>\n" +
                "\t\t\t\t<td>@detailEquipmentName2</td>\n" +
                "\t\t\t\t<td>@detailGasVolumeYesterday2</td>\n" +
                "\t\t\t\t<td>156140210</td>\n" +
                "\t\t\t\t<td>6436881280</td>\n" +
                "\t\t\t\t<td>11009989685</td>\n" +
                "\t\t\t\t<td>13242421311</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>@detailStationName3</td>\n" +
                "\t\t\t\t<td>@detailEquipmentName3</td>\n" +
                "\t\t\t\t<td>@detailGasVolumeYesterday3</td>\n" +
                "\t\t\t\t<td>156140210</td>\n" +
                "\t\t\t\t<td>6436881280</td>\n" +
                "\t\t\t\t<td>11009989685</td>\n" +
                "\t\t\t\t<td>13242421311</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td colspan=\"2\">合计交接气量（小写）Nm3</td>\n" +
                "\t\t\t\t<td colspan=\"2\">94010</td>\n" +
                "\t\t\t\t<td>合计交接能量（小写）MJ</td>\n" +
                "\t\t\t\t<td colspan=\"2\">94010</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td colspan=\"2\">合计交接气量（大写）Nm3</td>\n" +
                "\t\t\t\t<td colspan=\"2\">玖万肆仟零壹拾标方</td>\n" +
                "\t\t\t\t<td>合计交接能量（大写）MJ</td>\n" +
                "\t\t\t\t<td colspan=\"2\">玖万肆仟零壹拾标方</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>备注：</td>\n" +
                "\t\t\t\t<td colspan=\"6\">@remarks</td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td colspan=\"2\">供气单位（盖章）</td>\n" +
                "\t\t\t\t<td colspan=\"2\" style=\"opacity: 0;\">供气</td>\n" +
                "\t\t\t\t<td>接气单位(盖章)</td>\n" +
                "\t\t\t\t<td colspan=\"2\"></td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td colspan=\"2\">供气方计量员（签字）</td>\n" +
                "\t\t\t\t<td colspan=\"2\"></td>\n" +
                "\t\t\t\t<td>接气方计量员(签字)</td>\n" +
                "\t\t\t\t<td colspan=\"2\"></td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t\t<tr>\n" +
                "\t\t\t\t<td>争议量（+/-）：</td>\n" +
                "\t\t\t\t<td colspan=\"6\"></td>\n" +
                "\t\t\t</tr>\n" +
                "\t\t</table>\n" +
                "\t</div>\n" +
                "  </body>\n" +
                "</html>\n");
        //把html写入到图片
        ImageRenderer imageRenderer = new ImageRendererImpl(htmlParser);
        imageRenderer.saveImage("D:\\pdf\\hello-world.png");
    }

}
