package pps.core.common.utils;

import com.google.common.base.Strings;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class HashHelper {

    public static String getMD5Str(String str) {
        byte[] digest = null;
        try {
            byte[] input = str.getBytes("utf-8");
            MessageDigest md5 = MessageDigest.getInstance("MD5");
            md5.update(input);
            digest  = md5.digest();
        } catch (NoSuchAlgorithmException e) {
            //e.printStackTrace();
        } catch (UnsupportedEncodingException e) {
            //e.printStackTrace();
        }

        //16是表示转换为16进制数
        //String md5Str = new BigInteger(1, digest).toString(16);
        return bytesToHexString(digest);
    }

    /**
     * Convert byte[] to hex string
     *
     * @param src byte[] data
     * @return hex string
     */
    public static String bytesToHexString(byte[] src){
        return bytesToHexString(src, null);
    }
    public static String bytesToHexString(byte[] src, String splitter){
        StringBuilder stringBuilder = new StringBuilder("");
        if (src == null || src.length <= 0) {
            return null;
        }
        for (int i = 0; i < src.length; i++) {
            int v = src[i] & 0xFF;
            String hv = Integer.toHexString(v);
            if (hv.length() < 2) {
                stringBuilder.append(0);
            }
            stringBuilder.append(hv);
            if(!Strings.isNullOrEmpty(splitter)){
                stringBuilder.append(splitter);
            }
        }
        return stringBuilder.toString();
    }
}
