package pps.core.common.utils;

import xstartup.base.XResultError;
import xstartup.data.XServiceResult;

public class WellkownServiceResult extends XServiceResult {

    public WellkownServiceResult() {
        super();
    }

    public WellkownServiceResult(boolean success, int error, String message, Exception e) {
        super(success, error, message, e);
    }

    public WellkownServiceResult(int error, String message, Exception e) {
        super(error, message, e);
    }

    public static WellkownServiceResult okWithMessage(String message){
        return new WellkownServiceResult(true, 200, message, null);
    }
}
