CREATE TABLE `base_sys_log_1` (
  `id` int NOT NULL AUTO_INCREMENT,
  `system_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '系统名称',
  `scope_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '作用域名称',
  `module_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模块名称',
  `service_name` varchar(128) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '服务名称',
  `action_name` varchar(128) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '方法名称',
  `request_method` varchar(8) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求方式',
  `request_ip` varchar(64) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求ip',
  `browser_info` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '浏览器信息',
  `source` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `request_value` varchar(2048) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求参数-json格式',
  `response_value` varchar(2048) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '响应参数-json格式',
  `user_id` bigint DEFAULT NULL COMMENT '用户id',
  `execution_time` datetime DEFAULT NULL COMMENT '执行时间\n',
  `exception_info` varchar(2048) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '异常信息',
  `is_exception` tinyint(1) DEFAULT '0' COMMENT '是否异常',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
