package pps.core.common.utils;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

class SqlFilterTest {

    @Test
    void testFilterValue() {
        Assertions.assertEquals("1/1", SqlFilter.filterValue("1/1"));
        Assertions.assertEquals("original", SqlFilter.filterValue("original"));
        Assertions.assertEquals("", SqlFilter.filterValue("select"));
        Assertions.assertEquals("1", SqlFilter.filterValue("select 1"));
        Assertions.assertEquals("1", SqlFilter.filterValue("drop 1"));
        Assertions.assertEquals("1", SqlFilter.filterValue("1'"));
        Assertions.assertEquals("1", SqlFilter.filterValue("1-------"));
        Assertions.assertEquals("7.007111", SqlFilter.filterValue("7.007111--"));
        Assertions.assertEquals("1", SqlFilter.filterValue("1//"));
        Assertions.assertEquals("1", SqlFilter.filterValue("1/**/"));
        Assertions.assertEquals("11", SqlFilter.filterValue("1/*1*/"));
        Thread.currentThread().setName("dealNewToOldMq");
        Assertions.assertEquals("dealNewToOldMq", Thread.currentThread().getName());
    }
}

//Generated with love by TestMe :) Please report issues and submit feature requests at: http://weirddev.com/forum#!/testme