package pps.cloud.system.service;

import pps.cloud.system.service.data.GetSysBaseInfoSysncConfigOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XServiceResult;

/**
 * @author lixueyan
 * @date 2023/2/28 0028 14:51
 */

@XText("基础数据同步服务")
@XService
public interface SysBaseInfoSyncService {

    @XText("获取同步配置信息")
    XListResult<GetSysBaseInfoSysncConfigOutput> querySyncConfig(XContext context);

    @XText("更新同步配置信息")
    XServiceResult updateSyncConfig(XContext context,GetSysBaseInfoSysncConfigOutput input);
}
