package pps.cloud.system.service;

import pps.cloud.system.service.data.GetSysMenuUserViewInput;
import pps.cloud.system.service.data.GetSysMenuUserViewOutput;
import pps.cloud.system.service.data.GetSysOrganizationViewInput;
import pps.cloud.system.service.data.GetSysOrganizationViewOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

@XText("菜单和用户关联服务")
@XService
public interface SysMenuUserCloudService {

    @XText("根据当前用户查询首页展示的填报进展")
    XListResult<GetSysMenuUserViewOutput> selectMenuListByUserId(XContext context, GetSysMenuUserViewInput input);

}
