package pps.cloud.system.service;

import pps.cloud.system.service.data.GetSysOrganizationRelViewInput;
import pps.cloud.system.service.data.GetSysOrganizationRelViewOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

import java.util.List;

@XText("组织机构层级服务")
@XService
public interface SysOrganizationHierarchyService {
    @XText("根据西气东输组织id获取其下所有组织机构详情")
    XListResult<GetSysOrganizationRelViewOutput> getSysOrganizationRelView(XContext context, GetSysOrganizationRelViewInput organizationRelViewInput);
}
