package pps.cloud.system.service;

import pps.cloud.system.service.data.AddressInfoModel;
import pps.cloud.system.service.data.GetSysAreaInput;
import pps.cloud.system.service.data.GetSysAreaOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

@XText("地区服务")
@XService
public interface SystemAreaService {

    @XText("根据id获取地区")
    XListResult<GetSysAreaOutput> getSysAreaList(XContext context, GetSysAreaInput input);

    @XText("查询地区详细地址")
    XSingleResult<AddressInfoModel> getAddressInfo(XContext context, GetSysAreaInput input);
}
