package pps.cloud.system.service.data;

import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.util.Date;
import java.util.List;

public class QuerySysOrganizationViewInput extends XPageInput {
    @XText("主键")
    private String id;

    @XText("多个主键")
    private List<String> ids;

    @XText("用户id")
    private String userId;

    @XText("组织机构编码")
    private String ouCode;

    @XText("组织机构名称")
    private String ouName;

    @XText("简称")
    private String shortName;

    @XText("单位级别（从系统字典中来）")
    private String ouLevel;

    @XText("描述")
    private String description;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("邮编")
    private String postCode;

    @XText("地址")
    private String postAddress;

    @XText("传真")
    private String faxNo;

    @XText("电话")
    private String phone;

    @XText("国家")
    private String country;

    @XText("省份")
    private Integer province;

    @XText("是否删除")
    private Integer isDeleted;

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuCode() {
        return this.ouCode;
    }

    public void setOuCode(String value) {
        this.ouCode = value;
    }

    public String getOuName() {
        return this.ouName;
    }

    public void setOuName(String value) {
        this.ouName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getOuLevel() {
        return this.ouLevel;
    }

    public void setOuLevel(String value) {
        this.ouLevel = value;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getPostCode() {
        return this.postCode;
    }

    public void setPostCode(String value) {
        this.postCode = value;
    }

    public String getPostAddress() {
        return this.postAddress;
    }

    public void setPostAddress(String value) {
        this.postAddress = value;
    }

    public String getFaxNo() {
        return this.faxNo;
    }

    public void setFaxNo(String value) {
        this.faxNo = value;
    }

    public String getPhone() {
        return this.phone;
    }

    public void setPhone(String value) {
        this.phone = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public Integer getProvince() {
        return this.province;
    }

    public void setProvince(Integer value) {
        this.province = value;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }
}
