package pps.core.system.entity;

import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

public class CurrentSysUserView implements Serializable {
    @XText("主键")
    private String id;

    @XText("用户姓名")
    private String userName;
    @XText("员工编号")
    private String userCode;

    @XText("用户类型(字典值：1内网域用户，2外网用户)")
    private Integer userType;

    @XText("用户邮箱")
    private String email;

    @XText("登录名")
    private String loginName;

    @XText("备注")
    private String remark;

    @XText("账号到期时间")
    private Date endDate;

    @XText("职务-系统字典")
    private String duty;

    @XText("用户签名图片")
    private String signImage;

    @XText("用户提示方式（字典值：默认为0）")
    private String promptMode;

    @XText("IAM接口登录名称")
    private String iamLoginName;

    @XText("最后登录时间")
    private Date lastLoginTime;

    @XText("工作描述")
    private String jobDesc;

    @XText("邮编")
    private String postalCode;

    @XText("地址")
    private String address;

    @XText("是否外网访问")
    private Integer isOuter;

    @XText("是否内网访问")
    private Integer isInner;

    @XText("单位名称")
    private String ouName;

    @XText("单位id")
    private String ouId;

    @XText("单位CODE")
    private String ouCode;

    public String getOuCode() {
        return ouCode;
    }

    public void setOuCode(String ouCode) {
        this.ouCode = ouCode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getDuty() {
        return duty;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public String getSignImage() {
        return signImage;
    }

    public void setSignImage(String signImage) {
        this.signImage = signImage;
    }

    public String getPromptMode() {
        return promptMode;
    }

    public void setPromptMode(String promptMode) {
        this.promptMode = promptMode;
    }

    public String getIamLoginName() {
        return iamLoginName;
    }

    public void setIamLoginName(String iamLoginName) {
        this.iamLoginName = iamLoginName;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getJobDesc() {
        return jobDesc;
    }

    public void setJobDesc(String jobDesc) {
        this.jobDesc = jobDesc;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getIsOuter() {
        return isOuter;
    }

    public void setIsOuter(Integer isOuter) {
        this.isOuter = isOuter;
    }

    public Integer getIsInner() {
        return isInner;
    }

    public void setIsInner(Integer isInner) {
        this.isInner = isInner;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }
}
