package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class OperationMaintenanceAdjustmentFunctionRequestView implements Serializable {
    @XText("id")
    @TableField
    private String id;

    @XText("组织机构id")
    @TableField
    private String mOuId;

    @XText("组织机构名称")
    @TableField
    private String mOuName;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("申请人姓名")
    @TableField
    private String applicantName;

    @XText("联系电话")
    @TableField
    private String telephone;

    @XText("调整原因及功能描述")
    @TableField
    private String functionDescription;

    @XText("是否删除(0是已删除,1是正常)")
    @TableField
    private Integer isDeleted;

    @XText("是否暂存(0是暂存,1是提交)")
    @TableField
    private Integer dataStatus;

    @XText("附件id串filekey")
    @TableField
    private String fileKey;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("数据填报时间")
    @TableField
    private Date dataDate;

    @XText("审核人员id")
    @TableField
    private String auditorId;

    @XText("审核人员")
    @TableField
    private String auditorName;

    @XText("审核状态0未提交,2审核中,3审批通过,4已驳回")
    @TableField
    private Integer auditstatus;

    public String getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(String auditorId) {
        this.auditorId = auditorId;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public Integer getAuditstatus() {
        return auditstatus;
    }

    public void setAuditstatus(Integer auditstatus) {
        this.auditstatus = auditstatus;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getmOuId() {
        return mOuId;
    }

    public void setmOuId(String mOuId) {
        this.mOuId = mOuId;
    }

    public String getmOuName() {
        return mOuName;
    }

    public void setmOuName(String mOuName) {
        this.mOuName = mOuName;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getFunctionDescription() {
        return functionDescription;
    }

    public void setFunctionDescription(String functionDescription) {
        this.functionDescription = functionDescription;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(Integer dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getDataDate() {
        return dataDate;
    }

    public void setDataDate(Date dataDate) {
        this.dataDate = dataDate;
    }
}
