package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("sys_inform_operate_template")
public class SysInformOperateTemplateEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("标题")
    @TableField
    private String title;

    @XText("内容")
    @TableField
    private String msg;

    @XText(" 操作类型（字典）")
    @TableField
    private String operateType;

    @XText("是否系统消息（0是1否）")
    @TableField
    private Integer systemMsg;

    @XText("是否短信（0是1否）")
    @TableField
    private Integer mobileMsg;

    @XText("表单流程id")
    @TableField
    private String formWorkflowRelId;

    @XText("发送时间")
    @TableField
    private Date configTime;

    @XText(" 配置人")
    @TableField
    private String configByName;

    @TableField
    private String createById;

    @TableField
    private String createByName;

    @TableField
    private Date createTime;

    @TableField
    private String modifyById;

    @TableField
    private String modifyByName;

    @TableField
    private Date modifyTime;

    @XText("有效期")
    @TableField
    private Integer effectiveDays;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String value) {
        this.title = value;
    }

    public String getMsg() {
        return this.msg;
    }

    public void setMsg(String value) {
        this.msg = value;
    }

    public String getOperateType() {
        return this.operateType;
    }

    public void setOperateType(String value) {
        this.operateType = value;
    }

    public Integer getSystemMsg() {
        return this.systemMsg;
    }

    public void setSystemMsg(Integer value) {
        this.systemMsg = value;
    }

    public Integer getMobileMsg() {
        return this.mobileMsg;
    }

    public void setMobileMsg(Integer value) {
        this.mobileMsg = value;
    }

    public String getFormWorkflowRelId() {
        return this.formWorkflowRelId;
    }

    public void setFormWorkflowRelId(String value) {
        this.formWorkflowRelId = value;
    }

    public Date getConfigTime() {
        return this.configTime;
    }

    public void setConfigTime(Date value) {
        this.configTime = value;
    }

    public String getConfigByName() {
        return this.configByName;
    }

    public void setConfigByName(String value) {
        this.configByName = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Integer getEffectiveDays() {
        return effectiveDays;
    }

    public void setEffectiveDays(Integer effectiveDays) {
        this.effectiveDays = effectiveDays;
    }
}
