package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("sys_out_user_create_log")
public class SysOutUserCreateLogEnt  implements Serializable {
    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("组织机构层级")
    @TableField
    private String ouLevel;

    @XText("客户id")
    @TableField
    private String clientId;

    @XText("客户名称")
    @TableField
    private String clientName;

    @XText("组织机构id")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("登录名")
    @TableField
    private String loginName;

    @XText("IAM接口登录名称")
    @TableField
    private String iamLoginName;

    @XText("员工编号")
    @TableField
    private String userCode;

    @XText("用户姓名")
    @TableField
    private String userName;

    @XText("用户密码，客户类使用此字段，内网用户不使用")
    @TableField
    private String password;

    @XText("电话")
    @TableField
    private String phone;

    @XText("用户邮箱")
    @TableField
    private String email;

    @XText("邮编")
    @TableField
    private String postalCode;

    @XText("地址")
    @TableField
    private String address;

    @XText("信息")
    @TableField
    private String msg;

    @XText("角色用户id-iam账户")
    @TableField
    private String userId;

    @XText("状态：0保存、1通过、2驳回")
    @TableField
    private Integer status;

    @XText("删除状态（0删除  1正常）")
    @TableField
    private Integer isDelete;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("介质")
    @TableField
    private String mediumList;
}
