package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("sys_send_message")
public class SysSendMessageEnt implements Serializable {
    @XText("主键消息ID")
    @TableId(type = IdType.AUTO)
    private String messageId;

    @XText("消息类型")
    @TableField
    private Integer messageType;

    @XText("生成时间")
    @TableField
    private Date createTime;

    @XText("消息模板ID")
    @TableField
    private String msgTemplateId;

    @XText("发送人ID")
    @TableField
    private String sendUserId;

    @XText("发送人姓名")
    @TableField
    private String sendUserName;

    @XText("接收人ID")
    @TableField
    private String receiverUserId;

    @XText("接收人姓名")
    @TableField
    private String receiverUserName;

    @XText("接收人手机号")
    @TableField
    private String receiverAccount;

    @XText("发送内容")
    @TableField
    private String sendTitle;

    @XText("发送内容")
    @TableField
    private String sendContent;

    @XText("要求发送时间")
    @TableField
    private Date requireSendTime;

    @XText("已发送次数")
    @TableField
    private Integer sendCount;

    @XText("发送状态")
    @TableField
    private String status;

    @XText("实际发送时间")
    @TableField
    private Date realSendDate;

    @XText("发送人所在组织机构")
    @TableField
    private String ouId;

    @XText("发送人所在组织机构名称")
    @TableField
    private  String ouName;

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getMessageId() {
        return this.messageId;
    }

    public void setMessageId(String value) {
        this.messageId = value;
    }

    public Integer getMessageType() {
        return this.messageType;
    }

    public void setMessageType(Integer value) {
        this.messageType = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getMsgTemplateId() {
        return this.msgTemplateId;
    }

    public void setMsgTemplateId(String value) {
        this.msgTemplateId = value;
    }

    public String getSendUserId() {
        return this.sendUserId;
    }

    public void setSendUserId(String value) {
        this.sendUserId = value;
    }

    public String getSendUserName() {
        return this.sendUserName;
    }

    public void setSendUserName(String value) {
        this.sendUserName = value;
    }

    public String getReceiverUserId() {
        return this.receiverUserId;
    }

    public void setReceiverUserId(String value) {
        this.receiverUserId = value;
    }

    public String getReceiverUserName() {
        return this.receiverUserName;
    }

    public void setReceiverUserName(String value) {
        this.receiverUserName = value;
    }

    public String getReceiverAccount() {
        return this.receiverAccount;
    }

    public void setReceiverAccount(String value) {
        this.receiverAccount = value;
    }

    public String getSendTitle() {
        return this.sendTitle;
    }

    public void setSendTitle(String value) {
        this.sendTitle = value;
    }

    public String getSendContent() {
        return this.sendContent;
    }

    public void setSendContent(String value) {
        this.sendContent = value;
    }

    public Date getRequireSendTime() {
        return this.requireSendTime;
    }

    public void setRequireSendTime(Date value) {
        this.requireSendTime = value;
    }

    public Integer getSendCount() {
        return this.sendCount;
    }

    public void setSendCount(Integer value) {
        this.sendCount = value;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String value) {
        this.status = value;
    }

    public Date getRealSendDate() {
        return this.realSendDate;
    }

    public void setRealSendDate(Date value) {
        this.realSendDate = value;
    }



}
