package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import javax.persistence.Transient;

public class SysUserOrganizationRelView implements Serializable {
    @XText("用户所属组织机构关系id(主键)")
    @TableField
    private String id;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("用户ID")
    @TableField
    private String userId;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("结束时间")
    @TableField
    private Date endTime;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人姓名")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人姓名")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("组织机构名称")
    @Transient
    private String ouName;
    @XText("场站id")
    @Transient
    private String stationId;

    @XText("场站名称")
    @Transient
    private String stationName;
    @XText("场站编码")
    @Transient
    private String stationCode;

    @XText("介质类型")
    @Transient
    private String mediumType;

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String value) {
        this.userId = value;
    }

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getMediumType() {
        return mediumType;
    }

    public void setMediumType(String mediumType) {
        this.mediumType = mediumType;
    }
}
