package pps.core.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.ScadaGatherConfView;

import java.util.Date;
import java.util.HashMap;
import java.util.List;

@Repository(value="pps.core.system.mapper.ScadaGatherConfViewMapper")
public interface ScadaGatherConfViewMapper {

    public Integer selectTotal(@Param("envInfoId") String envInfoId, @Param("nowTime") Date nowTime);

    public List<ScadaGatherConfView> selectByPage(@Param("start") Integer start, @Param("size") Integer size,
                                                  @Param("envInfoId") String envInfoName, @Param("nowTime") Date nowTime);

    void insertDefaultData(@Param("defaultSql") String defaultSql);
    void updateDefaultData(@Param("defaultSql") String defaultSql);

    HashMap<String, Object> selectBusinessModuleTable(@Param("defaultSql") String defaultSql);


    HashMap<String, String> selectDefaultData(@Param("selectDefaultSql") String selectDefaultSql);
}
