package pps.core.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysOrganizationRelEnt;
import pps.core.system.entity.SysOrganizationRelView;
import pps.core.system.entity.SysOrganizationView;

import java.util.List;

@Repository(value="pps.core.system.mapper.SysOrganizationRelViewMapper")
public interface SysOrganizationRelViewMapper {
    SysOrganizationRelView selectOne(SysOrganizationRelView record);
    List<SysOrganizationRelView> selectList(SysOrganizationRelView record);

    List<SysOrganizationRelView> selectEffective();

    SysOrganizationRelView selectMaxSort(String parentOuId);

    List<SysOrganizationRelView> selectListByOuId(@Param("ouId") String ouId);



}
