package pps.core.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysOrganizationView;
import pps.core.system.entity.SysUserOrganizationRelView;
import java.util.List;

@Repository(value="pps.core.system.mapper.SysUserOrganizationRelViewMapper")
public interface SysUserOrganizationRelViewMapper {

    SysUserOrganizationRelView selectOne(SysUserOrganizationRelView record);

    List<SysUserOrganizationRelView> selectList(SysUserOrganizationRelView record);

    List<SysUserOrganizationRelView> getSysOrganizationByUserId(SysUserOrganizationRelView record);

    List<SysOrganizationView> selectOrgList(SysUserOrganizationRelView record);

    /**
     * 获取用户组织
     */
    List<SysUserOrganizationRelView> getOrgListByUserId(@Param("userId") String userId);
}
