package pps.core.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysUserRoleRelView;
import xstartup.base.data.CustomQueryInput;

import java.util.List;

@Repository(value="pps.core.system.mapper.SysUserRoleRelViewMapper")
public interface SysUserRoleRelViewMapper {

    SysUserRoleRelView selectOne(SysUserRoleRelView record);

    List<SysUserRoleRelView> selectList(SysUserRoleRelView record);

    List<SysUserRoleRelView> selectUserList(SysUserRoleRelView record);

    void batchInsert(List<SysUserRoleRelView> list);

    List<SysUserRoleRelView> selectListByRoleId(SysUserRoleRelView record);

    List<SysUserRoleRelView> selectListByUserId(SysUserRoleRelView record);

    List<SysUserRoleRelView> selectListByRoleIds(SysUserRoleRelView record);

    List<SysUserRoleRelView> selectListByRoleIdAndOuId(SysUserRoleRelView record);

    List<SysUserRoleRelView> selectListByRoleIdAndOuIds(SysUserRoleRelView record);
}
