package pps.core.system.service.data.operation_maintenance_adjustment_function_request;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

import xstartup.base.data.XPageInput;
public class QueryOperationMaintenanceAdjustmentFunctionRequestOutput extends XPageInput {
    @XText("id")
    private String id;

    @XText("组织机构id")
    private String mOuId;

    @XText("组织机构名称")
    private String mOuName;

    @XText("管线id")
    private String pipelineId;

    @XText("管线名称")
    private String pipelineName;

    @XText("场站id")
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("申请人姓名")
    private String applicantName;

    @XText("联系电话")
    private String telephone;

    @XText("调整原因及功能描述")
    private String functionDescription;

    @XText("是否删除(0是已删除,1是正常)")
    private Integer isDeleted;

    @XText("是否暂存(0是暂存,1是提交)")
    private Integer dataStatus;

    @XText("附件id串filekey")
    private String fileKey;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("数据填报时间")
    private Date dataDate;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMOuId() {
        return this.mOuId;
    }

    public void setMOuId(String value) {
        this.mOuId = value;
    }

    public String getMOuName() {
        return this.mOuName;
    }

    public void setMOuName(String value) {
        this.mOuName = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getApplicantName() {
        return this.applicantName;
    }

    public void setApplicantName(String value) {
        this.applicantName = value;
    }

    public String getTelephone() {
        return this.telephone;
    }

    public void setTelephone(String value) {
        this.telephone = value;
    }

    public String getFunctionDescription() {
        return this.functionDescription;
    }

    public void setFunctionDescription(String value) {
        this.functionDescription = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public Integer getDataStatus() {
        return this.dataStatus;
    }

    public void setDataStatus(Integer value) {
        this.dataStatus = value;
    }

    public String getFileKey() {
        return this.fileKey;
    }

    public void setFileKey(String value) {
        this.fileKey = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Date getDataDate() {
        return this.dataDate;
    }

    public void setDataDate(Date value) {
        this.dataDate = value;
    }

}
