package pps.cloud.base.service;

import pps.cloud.base.service.data.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.feature.api.annotation.XApiPost;

@XService
public interface BaseBaseClientStationRelService {
    @XText("根据场站、管线、管道查询客户数据")
    XListResult<GetBaseClientStationRelViewOutput> selectListByStationIdAndPipelineIdAndSegmentId(XContext context, GetBaseClientStationRelViewInput input);

    @XText("根据场站获取托运商数据")
    XListResult<FindBaseClientOutput> selectConsignorByStationIds(XContext context, BaseStationIdInput input);

    @XText("根据下游用户，查询场站数据")
    XListResult<GetBaseClientStationRelViewOutput> selectListByClientIds(XContext context, BaseClientIdInput input);
}
