package pps.cloud.base.service;

import pps.cloud.base.service.data.base_equipment.GetBaseEquipmentInput;
import pps.cloud.base.service.data.base_equipment.GetBaseEquipmentOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

@XService
public interface BaseBaseEquipmentCloudService {

    @XText("根据组织机构和场站查询设备数据")
    XListResult<GetBaseEquipmentOutput> selectEquimentByOuIdandStationId(XContext context, GetBaseEquipmentInput input);

    @XText("获取设备信息")
    XSingleResult<GetBaseEquipmentOutput> selectEquipmentById(XContext context, GetBaseEquipmentInput input);

    @XText("根据设备id获取设备扩展属性信息")
    XListResult<GetBaseEquipmentOutput> selectEquipmentExtendPropertyByStationId(XContext context, GetBaseEquipmentInput input);

    @XText("根据场站id和设备名称获取设备信息")
    XSingleResult<GetBaseEquipmentOutput> selectEquipmentByStationIdAndEquipmentName(XContext context, GetBaseEquipmentInput input);
}
