package pps.cloud.base.service;

import pps.cloud.base.service.data.SelectTDConfListByPipelineIdOutput;
import pps.cloud.base.service.data.base_pipeline.PipelineIdInput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;

@XService
public interface IBaseTemperamentDeviceConfigService {

    @XText("根据管线id获取所有的场站配置信息")
    XListResult<SelectTDConfListByPipelineIdOutput> selectListByPipelineId(XContext context, PipelineIdInput input);
}
