package pps.cloud.base.service;

import pps.cloud.base.service.data.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

@XService
public interface ScadaGatherConfCloudService {

    @XText("根据数据点名称")
    XSingleResult<ScadaConfigOut> getScadaConfigData(XContext context, ScadaConfigInput input);

    @XText("pi根据时刻时间和tag号查询scada值")
    public XListResult<GetDateScadaParamOutput> getPiScadaTagDateValue(XContext context , GetScadaParamDateInput input) throws Exception ;

    public XSingleResult<GetScadaEnvironmentInfo> getScadaEnvironmentInfo(XContext context, GetScadaEnvironmentInfo input);

    public XSingleResult<GetScadaEnvironmentInfo> getScadaEnvironmentInfoById(XContext context, GetScadaEnvironmentInfo input);
}
