package pps.cloud.base.service.data;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.util.Date;

public class FindBaseClientOutput {

    @XText("主键")
    private String id;

    @XText("编码")
    private String clientCode;

    @XText("名称")
    private String clientName;

    @XText("简称")
    private String clientShortAme;

    @XText("曾用名")
    private String usedName;

    @XText("简称曾用名")
    private String shortUsedName;

    @XText("固话")
    private String tel;

    @XText("传真")
    private String fax;

    @XText("手机")
    private String mobile;

    @XText("电子邮件")
    private String email;

    @XText("地址")
    private String address;

    @XText("国家")
    private String country;

    @XText("省")
    private String province;

    @XText("城市")
    private String city;

    @XText("县")
    private String county;

    @XText("邮编")
    private String postcode;

    @XText("备注")
    private String remark;

    private Integer saleType;

    private Integer industryType;

    @XText("是否国内")
    private Integer beDomestic;

    @XText("是否重点客户")
    private Integer beKeyCustomer;

    @XText("是否为上游用户")
    private Integer beUpLient;

    @XText("是否为下游用户")
    private Integer beDownClient;

    @XText("是否为托运商")
    private Integer beConsignor;

    private String vendorType;

    @XText("生效时间")
    private Date effectTime;

    @XText("结束时间")
    private Date endTime;

    @XText("地区")
    private String region;

    @XText("MDM编码")
    private String mdmCode;

    @XText("组织机构id")
    private String ouId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientShortAme() {
        return clientShortAme;
    }

    public void setClientShortAme(String clientShortAme) {
        this.clientShortAme = clientShortAme;
    }

    public String getUsedName() {
        return usedName;
    }

    public void setUsedName(String usedName) {
        this.usedName = usedName;
    }

    public String getShortUsedName() {
        return shortUsedName;
    }

    public void setShortUsedName(String shortUsedName) {
        this.shortUsedName = shortUsedName;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getPostcode() {
        return postcode;
    }

    public void setPostcode(String postcode) {
        this.postcode = postcode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getSaleType() {
        return saleType;
    }

    public void setSaleType(Integer saleType) {
        this.saleType = saleType;
    }

    public Integer getIndustryType() {
        return industryType;
    }

    public void setIndustryType(Integer industryType) {
        this.industryType = industryType;
    }

    public Integer getBeDomestic() {
        return beDomestic;
    }

    public void setBeDomestic(Integer beDomestic) {
        this.beDomestic = beDomestic;
    }

    public Integer getBeKeyCustomer() {
        return beKeyCustomer;
    }

    public void setBeKeyCustomer(Integer beKeyCustomer) {
        this.beKeyCustomer = beKeyCustomer;
    }

    public Integer getBeUpLient() {
        return beUpLient;
    }

    public void setBeUpLient(Integer beUpLient) {
        this.beUpLient = beUpLient;
    }

    public Integer getBeDownClient() {
        return beDownClient;
    }

    public void setBeDownClient(Integer beDownClient) {
        this.beDownClient = beDownClient;
    }

    public Integer getBeConsignor() {
        return beConsignor;
    }

    public void setBeConsignor(Integer beConsignor) {
        this.beConsignor = beConsignor;
    }

    public String getVendorType() {
        return vendorType;
    }

    public void setVendorType(String vendorType) {
        this.vendorType = vendorType;
    }

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(String mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }
}
