package pps.cloud.base.service.data;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import xstartup.annotation.XText;

public class SelectTDConfListByPipelineIdOutput {

    @XText("主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("气质参数来源主场站id")
    @TableField
    private String masterStationId;

    @XText("气质参数来源主场站名称")
    @TableField
    private String masterStationName;

    @XText("气质参数来源备场站id")
    @TableField
    private String spareStationId;

    @XText("气质参数来源备场站名称")
    @TableField
    private String spareStationName;

    @XText("气质参数来源主管线id")
    @TableField
    private String masterPipelineId;

    @XText("气质参数来源主管线名称")
    @TableField
    private String masterPipelineName;

    @XText("气质参数来源备管线id")
    @TableField
    private String sparePipelineId;

    @XText("气质参数来源备管线名称")
    @TableField
    private String sparePipelineName;

    @XText("排序")
    @TableField
    private Integer sort;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getMasterStationId() {
        return masterStationId;
    }

    public void setMasterStationId(String masterStationId) {
        this.masterStationId = masterStationId;
    }

    public String getMasterStationName() {
        return masterStationName;
    }

    public void setMasterStationName(String masterStationName) {
        this.masterStationName = masterStationName;
    }

    public String getSpareStationId() {
        return spareStationId;
    }

    public void setSpareStationId(String spareStationId) {
        this.spareStationId = spareStationId;
    }

    public String getSpareStationName() {
        return spareStationName;
    }

    public void setSpareStationName(String spareStationName) {
        this.spareStationName = spareStationName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getMasterPipelineId() {
        return masterPipelineId;
    }

    public void setMasterPipelineId(String masterPipelineId) {
        this.masterPipelineId = masterPipelineId;
    }

    public String getMasterPipelineName() {
        return masterPipelineName;
    }

    public void setMasterPipelineName(String masterPipelineName) {
        this.masterPipelineName = masterPipelineName;
    }

    public String getSparePipelineId() {
        return sparePipelineId;
    }

    public void setSparePipelineId(String sparePipelineId) {
        this.sparePipelineId = sparePipelineId;
    }

    public String getSparePipelineName() {
        return sparePipelineName;
    }

    public void setSparePipelineName(String sparePipelineName) {
        this.sparePipelineName = sparePipelineName;
    }
}
