package pps.cloud.base.service.data.base_operational_constraint;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

import java.util.Date;

public class GetBaseOperationalConstraintInput {

    @XText("业务类型")
    @NotBlank
    private String busineType;

    @XText("操作日期")
    @NotNull
    private Date operationalDate;

    @XText("场站id")
    private String stationId;

    public String getBusineType() {
        return busineType;
    }

    public void setBusineType(String busineType) {
        this.busineType = busineType;
    }

    public Date getOperationalDate() {
        return operationalDate;
    }

    public void setOperationalDate(Date operationalDate) {
        this.operationalDate = operationalDate;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }
}
