package pps.cloud.base.service.data.base_operational_constraint;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.util.Date;

public class GetBaseOperationalConstraintOuput {

    @XText("场站组织机构关系(主键)")
    private String id;

    @XText("业务类型")
    private String busineType;

    @XText("保存或提交截止时间(格式 18:00)")
    private String saveSubmitTime;

    @XText("审核截止时间(格式 18:00)")
    private String auditTime;

    @XText("申请变更截止时间(格式 18:00)")
    private String applyChangeTime;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("操作日期")
    private Date operationalDate;

    @XText("是否可以保存或提交")
    private Boolean canSaveOrSubmit;

    @XText("是否可以审核")
    private Boolean canAudit;

    @XText("是否可以申请变更")
    private Boolean canApplyChange;

    @XText("场站id")
    private String stationId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBusineType() {
        return busineType;
    }

    public void setBusineType(String busineType) {
        this.busineType = busineType;
    }

    public String getSaveSubmitTime() {
        return saveSubmitTime;
    }

    public void setSaveSubmitTime(String saveSubmitTime) {
        this.saveSubmitTime = saveSubmitTime;
    }

    public String getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    public String getApplyChangeTime() {
        return applyChangeTime;
    }

    public void setApplyChangeTime(String applyChangeTime) {
        this.applyChangeTime = applyChangeTime;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getOperationalDate() {
        return operationalDate;
    }

    public void setOperationalDate(Date operationalDate) {
        this.operationalDate = operationalDate;
    }

    public Boolean getCanSaveOrSubmit() {
        return canSaveOrSubmit;
    }

    public void setCanSaveOrSubmit(Boolean canSaveOrSubmit) {
        this.canSaveOrSubmit = canSaveOrSubmit;
    }

    public Boolean getCanAudit() {
        return canAudit;
    }

    public void setCanAudit(Boolean canAudit) {
        this.canAudit = canAudit;
    }

    public Boolean getCanApplyChange() {
        return canApplyChange;
    }

    public void setCanApplyChange(Boolean canApplyChange) {
        this.canApplyChange = canApplyChange;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }
}
