package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class BaseClientPropertyView implements Serializable {
    @XText("属性id(主键)")
    @TableField
    private String id;

    @XText("对应BaseClient表主键")
    @TableField
    private String clientId;

    @XText("属性类别")
    @TableField
    private String propertyId;

    @XText("对应字典表主键，或对应程序中枚举值")
    @TableField
    private String propertyValue;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("截止时间")
    @TableField
    private Date endTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getClientId() {
        return this.clientId;
    }

    public void setClientId(String value) {
        this.clientId = value;
    }

    public String getPropertyId() {
        return this.propertyId;
    }

    public void setPropertyId(String value) {
        this.propertyId = value;
    }

    public String getPropertyValue() {
        return this.propertyValue;
    }

    public void setPropertyValue(String value) {
        this.propertyValue = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
