package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("base_client_station_rel")
public class BaseClientStationRelEnt implements Serializable {
    @XText("上下游用户与场站关系表id(主键)")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("组织机构id")
    @TableField
    private String ouid;

    @XText("上下游用户id")
    @TableField
    private String clientId;

    @XText("托运商id")
    @TableField
    private String consignor;

    @XText("客户类型（上游用户/下游用户）")
    @TableField
    private Integer type;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("截止时间")
    @TableField
    private Date endTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("是否有效")
    @TableField
    private Integer beValid;

    @XText("管段id")
    @TableField
    private String segmentId;

    public String getSegmentId() {
        return segmentId;
    }

    public void setSegmentId(String segmentId) {
        this.segmentId = segmentId;
    }

    public Integer getBeValid() {
        return beValid;
    }

    public void setBeValid(Integer beValid) {
        this.beValid = beValid;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getOuid() {
        return this.ouid;
    }

    public void setOuid(String value) {
        this.ouid = value;
    }

    public String getClientId() {
        return this.clientId;
    }

    public void setClientId(String value) {
        this.clientId = value;
    }

    public String getConsignor() {
        return this.consignor;
    }

    public void setConsignor(String value) {
        this.consignor = value;
    }

    public Integer getType() {
        return this.type;
    }

    public void setType(Integer value) {
        this.type = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
