package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;
@Data
public class BaseDieselGeneratorView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(1_是;0_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构name")
    @TableField
    private String ouName;

    @XText("设备名称")
    @TableField
    private String deviceName;

    @XText("出厂编号")
    @TableField
    private String makerNumber;

    @XText("柴发设备机组型号key(字典获取)")
    @TableField
    private String unitTypeKey;

    @XText("柴发设备机组型号name(字典获取)")
    @TableField
    private String unitTypeName;

    @XText("常用功率(KW)")
    @TableField
    private BigDecimal normalPower;

    @XText("备用功率(KW)")
    @TableField
    private BigDecimal standbyPower;

}
