package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;
@Data
@TableName("base_energy_storage_device")
public class BaseEnergyStorageDeviceEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("是否删除(1_是;0_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构name")
    @TableField
    private String ouName;

    @XText("设备名称")
    @TableField
    private String deviceName;

    @XText("出厂编号")
    @TableField
    private String makerNumber;

    @XText("储能设备规格型号key(字典获取)")
    @TableField
    private String storageModelKey;

    @XText("储能设备规格型号name(字典获取)")
    @TableField
    private String storageModelName;

    @XText("设备容量(KWh)")
    @TableField
    private BigDecimal apparatusCapacity;

    @XText("额定放电功率(KW)")
    @TableField
    private BigDecimal ratedDischargePower;

    @XText("额定充电功率(KW)")
    @TableField
    private BigDecimal ratedChargingPower;


}
