package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("base_equipment_extend_property")
public class BaseEquipmentExtendPropertyEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("属性名称")
    @TableField
    private String propertyName;

    @XText("英文名称")
    @TableField
    private String propertyNameEn;

    @XText("属性类型（字典:文本、下拉）")
    @TableField
    private String propertyType;

    @XText("应用设备类型（字典）")
    @TableField
    private String useEquipmentType;

    @XText("是否应用至下级1、是0、否")
    @TableField
    private Integer isUseAll;

    @XText("生效状态1、是0、否")
    @TableField
    private Integer isValid;

    @XText("页面排序码")
    @TableField
    private Integer sort;

    @XText("是否必填1、是0、否")
    @TableField
    private Integer isRequired;

    @XText("单位")
    @TableField
    private String unit;

    @XText("小数位")
    @TableField
    private Integer decimalDigits;

    @XText("日期格式")
    @TableField
    private String dateForm;

    @XText("数据字典")
    @TableField
    private String dataDic;

    @XText("是否支持多选")
    @TableField
    private Integer isSupportMultiple;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getPropertyName() {
        return this.propertyName;
    }

    public void setPropertyName(String value) {
        this.propertyName = value;
    }

    public String getPropertyNameEn() {
        return this.propertyNameEn;
    }

    public void setPropertyNameEn(String value) {
        this.propertyNameEn = value;
    }

    public String getPropertyType() {
        return this.propertyType;
    }

    public void setPropertyType(String value) {
        this.propertyType = value;
    }

    public String getUseEquipmentType() {
        return this.useEquipmentType;
    }

    public void setUseEquipmentType(String value) {
        this.useEquipmentType = value;
    }

    public Integer getIsUseAll() {
        return this.isUseAll;
    }

    public void setIsUseAll(Integer value) {
        this.isUseAll = value;
    }

    public Integer getIsValid() {
        return this.isValid;
    }

    public void setIsValid(Integer value) {
        this.isValid = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getIsRequired() {
        return this.isRequired;
    }

    public void setIsRequired(Integer value) {
        this.isRequired = value;
    }

    public String getUnit() {
        return this.unit;
    }

    public void setUnit(String value) {
        this.unit = value;
    }

    public Integer getDecimalDigits() {
        return this.decimalDigits;
    }

    public void setDecimalDigits(Integer value) {
        this.decimalDigits = value;
    }

    public String getDateForm() {
        return this.dateForm;
    }

    public void setDateForm(String value) {
        this.dateForm = value;
    }

    public String getDataDic() {
        return this.dataDic;
    }

    public void setDataDic(String value) {
        this.dataDic = value;
    }

    public Integer getIsSupportMultiple() {
        return this.isSupportMultiple;
    }

    public void setIsSupportMultiple(Integer value) {
        this.isSupportMultiple = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }


}
