package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class BaseLineAllView implements Serializable {
    @TableField
    private Integer id;

    @XText("线路名称")
    @TableField
    private String lineName;

    @XText("经度")
    @TableField
    private BigDecimal longitude;

    @XText("纬度")
    @TableField
    private BigDecimal latitude;

    @XText("高程")
    @TableField
    private BigDecimal elevation;

    @XText("油田ouid")
    private String oilOuId;

    @XText("油田ouid")
    private String oilOuName;

    @XText("井场ouid")
    private String wellOuId;

    @XText("井场ouname")
    private String wellOuName;

    private String province;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getElevation() {
        return elevation;
    }

    public void setElevation(BigDecimal elevation) {
        this.elevation = elevation;
    }


    public String getOilOuId() {
        return oilOuId;
    }

    public void setOilOuId(String oilOuId) {
        this.oilOuId = oilOuId;
    }

    public String getOilOuName() {
        return oilOuName;
    }

    public void setOilOuName(String oilOuName) {
        this.oilOuName = oilOuName;
    }

    public String getWellOuId() {
        return wellOuId;
    }

    public void setWellOuId(String wellOuId) {
        this.wellOuId = wellOuId;
    }

    public String getWellOuName() {
        return wellOuName;
    }

    public void setWellOuName(String wellOuName) {
        this.wellOuName = wellOuName;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }
}
