package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class BaseLineAttenuationRateView  implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("线路")
    @TableField
    private Integer lineId;

    @XText("年份")
    @TableField
    private String  particularYear;

    @XText("衰减率")
    @TableField
    private BigDecimal attenuationRate;

    @XText("排序")
    @TableField
    private Integer sort;
    @TableField
    private String createById;
    @TableField
    private String createByName;
    @TableField
    private Date createTime;
    @TableField
    private String modifyById;
    @TableField
    private String modifyByName;
    @TableField
    private Date modifyTime;

    @TableField
    private Integer type;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getLineId() {
        return lineId;
    }

    public void setLineId(Integer lineId) {
        this.lineId = lineId;
    }

    public String getParticularYear() {
        return particularYear;
    }

    public void setParticularYear(String particularYear) {
        this.particularYear = particularYear;
    }

    public BigDecimal getAttenuationRate() {
        return attenuationRate;
    }

    public void setAttenuationRate(BigDecimal attenuationRate) {
        this.attenuationRate = attenuationRate;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}
