package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

@Data
public class BaseOperationalConstraintExtendView implements Serializable {
    @XText("场站组织机构关系(主键)")
    @TableField
    private String id;

    @XText("约束id")
    @TableField
    private String constraintId;

    @XText("组织机构id")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("场站类型id")
    @TableField
    private String stationId;

    @XText("场站类型名称")
    @TableField
    private String stationName;

    @XText("数据日期")
    @TableField
    private Date dataDate;

    @XText("操作类型")
    @TableField
    private String operationalType;

    @XText("截止时间")
    @TableField
    private Date constraintDate;

    @XText("备注")
    @TableField
    private String constraintRemark;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

}
