package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class BaseSmallMeteringAppliancesView implements Serializable {
    @XText("主键")
    @TableField
    private String id;

    @XText("器具检字号")
    @TableField
    private String meterNo;

    @XText("所在油库")
    @TableField
    private String stationId;

    @XText("工具自编号")
    @TableField
    private String toolNo;

    @XText("证书号")
    @TableField
    private String certificateNo;

    @XText("类型（字典）")
    @TableField
    private String meterType;

    @XText("使用项目")
    @TableField
    private String useProject;

    @XText("型号规格")
    @TableField
    private String specification;

    @XText("制造厂")
    @TableField
    private String manufactory;

    @XText("出厂编号")
    @TableField
    private String manufacturingNo;

    @XText("主管")
    @TableField
    private String butler;

    @XText("核验")
    @TableField
    private String checkName;

    @XText("检定员")
    @TableField
    private String verificationUserId;

    @XText("送检人")
    @TableField
    private String sendVerificationId;

    @XText("检定周期（月）")
    @TableField
    private Integer verificationPeriod;

    @XText("检定日期")
    @TableField
    private Date verificationDate;

    @XText("使用状态")
    @TableField
    private String useStatus;

    @XText("检定结果")
    @TableField
    private String verificationResult;

    @XText("备注")
    @TableField
    private String remark;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("有效日期")
    @TableField
    private Date validDate;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("输油部id")
    @TableField
    private String ouId;

    @XText("输油部名称")
    @TableField
    private String ouName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMeterNo() {
        return this.meterNo;
    }

    public void setMeterNo(String value) {
        this.meterNo = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getToolNo() {
        return this.toolNo;
    }

    public void setToolNo(String value) {
        this.toolNo = value;
    }

    public String getCertificateNo() {
        return this.certificateNo;
    }

    public void setCertificateNo(String value) {
        this.certificateNo = value;
    }

    public String getMeterType() {
        return this.meterType;
    }

    public void setMeterType(String value) {
        this.meterType = value;
    }

    public String getUseProject() {
        return this.useProject;
    }

    public void setUseProject(String value) {
        this.useProject = value;
    }

    public String getSpecification() {
        return this.specification;
    }

    public void setSpecification(String value) {
        this.specification = value;
    }

    public String getManufactory() {
        return this.manufactory;
    }

    public void setManufactory(String value) {
        this.manufactory = value;
    }

    public String getManufacturingNo() {
        return this.manufacturingNo;
    }

    public void setManufacturingNo(String value) {
        this.manufacturingNo = value;
    }

    public String getButler() {
        return this.butler;
    }

    public void setButler(String value) {
        this.butler = value;
    }

    public String getCheckName() {
        return this.checkName;
    }

    public void setCheckName(String value) {
        this.checkName = value;
    }

    public String getVerificationUserId() {
        return this.verificationUserId;
    }

    public void setVerificationUserId(String value) {
        this.verificationUserId = value;
    }

    public String getSendVerificationId() {
        return this.sendVerificationId;
    }

    public void setSendVerificationId(String value) {
        this.sendVerificationId = value;
    }

    public Integer getVerificationPeriod() {
        return this.verificationPeriod;
    }

    public void setVerificationPeriod(Integer value) {
        this.verificationPeriod = value;
    }

    public String getUseStatus() {
        return this.useStatus;
    }

    public void setUseStatus(String value) {
        this.useStatus = value;
    }

    public String getVerificationResult() {
        return this.verificationResult;
    }

    public void setVerificationResult(String value) {
        this.verificationResult = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getValidDate() {
        return validDate;
    }

    public void setValidDate(Date validDate) {
        this.validDate = validDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getVerificationDate() {
        return verificationDate;
    }

    public void setVerificationDate(Date verificationDate) {
        this.verificationDate = verificationDate;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }
}
