package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import javax.annotation.sql.DataSourceDefinition;

public class BaseTemperamentDeviceConfigView implements Serializable {
    @XText("主键")
    @TableField
    private String id;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("气质参数来源主场站id")
    @TableField
    private String masterStationId;

    @XText("气质参数来源主场站名称")
    @TableField
    private String masterStationName;

    @XText("气质参数来源备场站id")
    @TableField
    private String spareStationId;

    @XText("气质参数来源备场站名称")
    @TableField
    private String spareStationName;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("创建人id")
    @TableField
    private String createById;

    @XText("创建人")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人id")
    @TableField
    private String modifyById;

    @XText("修改人")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("气质参数来源主管线id")
    @TableField
    private String masterPipelineId;

    @XText("气质参数来源主管线名称")
    @TableField
    private String masterPipelineName;

    @XText("气质参数来源备管线id")
    @TableField
    private String sparePipelineId;

    @XText("气质参数来源备管线名称")
    @TableField
    private String sparePipelineName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getMasterStationId() {
        return this.masterStationId;
    }

    public void setMasterStationId(String value) {
        this.masterStationId = value;
    }

    public String getMasterStationName() {
        return this.masterStationName;
    }

    public void setMasterStationName(String value) {
        this.masterStationName = value;
    }

    public String getSpareStationId() {
        return this.spareStationId;
    }

    public void setSpareStationId(String value) {
        this.spareStationId = value;
    }

    public String getSpareStationName() {
        return this.spareStationName;
    }

    public void setSpareStationName(String value) {
        this.spareStationName = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getMasterPipelineId() {
        return masterPipelineId;
    }

    public void setMasterPipelineId(String masterPipelineId) {
        this.masterPipelineId = masterPipelineId;
    }

    public String getMasterPipelineName() {
        return masterPipelineName;
    }

    public void setMasterPipelineName(String masterPipelineName) {
        this.masterPipelineName = masterPipelineName;
    }

    public String getSparePipelineId() {
        return sparePipelineId;
    }

    public void setSparePipelineId(String sparePipelineId) {
        this.sparePipelineId = sparePipelineId;
    }

    public String getSparePipelineName() {
        return sparePipelineName;
    }

    public void setSparePipelineName(String sparePipelineName) {
        this.sparePipelineName = sparePipelineName;
    }
}
