package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class ScadaGatherBoxRelView implements Serializable {
    @XText("主键")
    @TableField
    private String id;

    @XText("采集模型主键")
    @TableField
    private String gatherBoxId;

    @XText("数据来源业务模块 ")
    @TableField
    private String businessModule;

    @XText("数据来源表名称")
    @TableField
    private String tableName;

    @XText("默认值存储业务模块")
    @TableField
    private String defultBusinessModule;

    @XText("默认值表名称")
    @TableField
    private String defultTableName;

    @XText("默认值表日期时间字段")
    @TableField
    private String defultDataColumn;

    @XText("默认值表同步规则")
    @TableField
    private String syncRule;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("标题")
    @TableField
    private String title;

    @XText("业务类型")
    @TableField
    private String businessType;

    @XText("类型 1-conf表；2-视图")
    @TableField
    private String boxRelType;

    @XText("定时采集")
    @TableField
    private Boolean timerGather;

    @XText("排序")
    @TableField
    private Integer sort;

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
    public Boolean getTimerGather() {
        return timerGather;
    }

    public void setTimerGather(Boolean timerGather) {
        this.timerGather = timerGather;
    }
    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getBoxRelType() {
        return boxRelType;
    }

    public void setBoxRelType(String boxRelType) {
        this.boxRelType = boxRelType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getGatherBoxId() {
        return this.gatherBoxId;
    }

    public void setGatherBoxId(String value) {
        this.gatherBoxId = value;
    }

    public String getBusinessModule() {
        return this.businessModule;
    }

    public void setBusinessModule(String value) {
        this.businessModule = value;
    }

    public String getTableName() {
        return this.tableName;
    }

    public void setTableName(String value) {
        this.tableName = value;
    }

    public String getDefultBusinessModule() {
        return this.defultBusinessModule;
    }

    public void setDefultBusinessModule(String value) {
        this.defultBusinessModule = value;
    }

    public String getDefultTableName() {
        return this.defultTableName;
    }

    public void setDefultTableName(String value) {
        this.defultTableName = value;
    }

    public String getDefultDataColumn() {
        return this.defultDataColumn;
    }

    public void setDefultDataColumn(String value) {
        this.defultDataColumn = value;
    }

    public String getSyncRule() {
        return this.syncRule;
    }

    public void setSyncRule(String value) {
        this.syncRule = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
