package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import javax.persistence.Transient;

public class ScadaGatherBoxView implements Serializable {
    @XText("采集模型主键")
    @TableField
    private String id;

    @XText("采集模板名称")
    @TableField
    private String gatherBoxName;

    @XText("采集模型主键")
    @TableField
    private String mediaType;

    @XText("模型状态")
    @TableField
    private Integer boxState;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("多个组织机构名称")
    @Transient
    private String ouNames;

    @XText("组织机构id")
    @Transient
    private String mOuId;
    @XText("场站id")
    @Transient
    private String stationId;
    @XText("场站名称")
    @Transient
    private String stationName;
    @XText("模型关系表id")
    @Transient
    private String scadaGatherBoxRelId;
    @XText("服务名称")
    @Transient
    private String defultBusinessModule;

    @XText("服务名称")
    @Transient
    private String businessModule;
    @XText("表名")
    @Transient
    private String tableName;

    @XText("已配置数")
    @Transient
    private Long finish;

    @XText("应配置数")
    @Transient
    private Long count;

    @XText("ids")
    @TableField(exist = false)
    private List<String> ids;

    public String getBusinessModule() {
        return businessModule;
    }

    public void setBusinessModule(String businessModule) {
        this.businessModule = businessModule;
    }

    public Long getFinish() {
        return finish;
    }

    public void setFinish(Long finish) {
        this.finish = finish;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public String getScadaGatherBoxRelId() {
        return scadaGatherBoxRelId;
    }

    public void setScadaGatherBoxRelId(String scadaGatherBoxRelId) {
        this.scadaGatherBoxRelId = scadaGatherBoxRelId;
    }

    public String getmOuId() {
        return mOuId;
    }

    public void setmOuId(String mOuId) {
        this.mOuId = mOuId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getDefultBusinessModule() {
        return defultBusinessModule;
    }

    public void setDefultBusinessModule(String defultBusinessModule) {
        this.defultBusinessModule = defultBusinessModule;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getOuNames() {
        return ouNames;
    }

    public void setOuNames(String ouNames) {
        this.ouNames = ouNames;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getGatherBoxName() {
        return this.gatherBoxName;
    }

    public void setGatherBoxName(String value) {
        this.gatherBoxName = value;
    }

    public String getMediaType() {
        return this.mediaType;
    }

    public void setMediaType(String value) {
        this.mediaType = value;
    }

    public Integer getBoxState() {
        return this.boxState;
    }

    public void setBoxState(Integer value) {
        this.boxState = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }
}
