package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("scada_inventory_info")
public class ScadaInventoryInfoEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("scada环境标识")
    @TableField
    private String scadaEnvironmentInfoId;

    @XText("scada点号")
    @TableField
    private String scadaTag;

    @XText("描述")
    @TableField
    private String description;

    @XText("编码")
    @TableField
    private String number;

    @XText("是否生效")
    @TableField
    private String isValid;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getScadaEnvironmentInfoId() {
        return this.scadaEnvironmentInfoId;
    }

    public void setScadaEnvironmentInfoId(String value) {
        this.scadaEnvironmentInfoId = value;
    }

    public String getScadaTag() {
        return this.scadaTag;
    }

    public void setScadaTag(String value) {
        this.scadaTag = value;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public String getNumber() {
        return this.number;
    }

    public void setNumber(String value) {
        this.number = value;
    }

    public String getIsValid() {
        return this.isValid;
    }

    public void setIsValid(String value) {
        this.isValid = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
