package pps.core.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseClientStationRelView;
import pps.core.base.entity.BaseClientView;
import pps.core.base.service.data.base_client.QueryBaseClientInput;

import java.util.List;

@Repository(value="pps.core.base.mapper.BaseClientViewMapper")
public interface BaseClientViewMapper {
    BaseClientView selectOne(BaseClientView record);
    List<BaseClientView> selectList(BaseClientView record);

    List<BaseClientView> selectListByPage(BaseClientView record);

    List<BaseClientView> selectListByStationByOuId(BaseClientView record);

    BaseClientView selectMaxSort(BaseClientView record);
}
