package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePowerLineStorageView;

import java.util.List;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Repository(value = "pps.core.base.mapper.BasePowerLineStorageViewMapper")
public interface BasePowerLineStorageViewMapper {
    BasePowerLineStorageView selectOne(BasePowerLineStorageView record);

    /**
     * 输电线路储能配置列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineStorageView}>
     */
    List<BasePowerLineStorageView> selectList(BasePowerLineStorageView record);
}
