package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePowerLineWellheadView;

import java.util.List;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Repository(value = "pps.core.base.mapper.BasePowerLineWellheadViewMapper")
public interface BasePowerLineWellheadViewMapper {
    BasePowerLineWellheadView selectOne(BasePowerLineWellheadView record);

    /**
     * 输电线路井口配置列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineWellheadView}>
     */
    List<BasePowerLineWellheadView> selectList(BasePowerLineWellheadView record);
}
