package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.cloud.base.service.data.base_segment.BaseSegmentBatchInput;
import pps.core.base.entity.BaseSegmentView;

import java.util.List;

@Repository(value = "pps.core.base.mapper.BaseSegmentViewMapper")
public interface BaseSegmentViewMapper {
    BaseSegmentView selectOne(BaseSegmentView record);

    List<BaseSegmentView> selectList(BaseSegmentView record);

    List<BaseSegmentView> queryBaseSegmentList(BaseSegmentView record);

    int deleteByStartStationId(BaseSegmentView baseSegmentView);

    List<BaseSegmentView> selectListByStartStationId(BaseSegmentView baseSegmentView);

    BaseSegmentView selectMaxSortByPipelineId(BaseSegmentView view);

    BaseSegmentView selectListByPipelineIdAndClientId(BaseSegmentView baseSegmentView);

    List<BaseSegmentView> queryBaseSegmentByPipelineId(BaseSegmentBatchInput input);

    List<BaseSegmentView> selectBaseSegmentByStationId(BaseSegmentView baseSegmentView);
}
