package pps.core.base.service.data.base_data;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class TrainBaseModelValOutput {
    @XText("实际数据")
    private String ytrue;

    @XText("预测数据")
    private String ypred;

    @TableField
    private String mae;


    @TableField
    private String rmse;


    @TableField
    private String r2;

    @XText("训练模式")
    private String keyname;

    @XText("线路")
    private Integer lineId;

    private String stape;

    @XText("开始时间")
    private String startime;

    @XText("结束时间")
    private String endtime;

    private String taget;

    private String timecol;

    private String features;

    private String modelpath;

    private String paramKeys;

    @XText("id")
    private BigDecimal id;

    @XText("创建时间")
    private Date createTime;

    private List<TrainBaseModelValDetailOutput> list;

    public String getYtrue() {
        return ytrue;
    }

    public void setYtrue(String ytrue) {
        this.ytrue = ytrue;
    }

    public String getYpred() {
        return ypred;
    }

    public void setYpred(String ypred) {
        this.ypred = ypred;
    }

    public String getMae() {
        return mae;
    }

    public void setMae(String mae) {
        this.mae = mae;
    }

    public String getRmse() {
        return rmse;
    }

    public void setRmse(String rmse) {
        this.rmse = rmse;
    }

    public String getR2() {
        return r2;
    }

    public void setR2(String r2) {
        this.r2 = r2;
    }

    public String getKeyname() {
        return keyname;
    }

    public void setKeyname(String keyname) {
        this.keyname = keyname;
    }

    public Integer getLineId() {
        return lineId;
    }

    public void setLineId(Integer lineId) {
        this.lineId = lineId;
    }

    public String getStape() {
        return stape;
    }

    public void setStape(String stape) {
        this.stape = stape;
    }

    public String getStartime() {
        return startime;
    }

    public void setStartime(String startime) {
        this.startime = startime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getTaget() {
        return taget;
    }

    public void setTaget(String taget) {
        this.taget = taget;
    }

    public String getTimecol() {
        return timecol;
    }

    public void setTimecol(String timecol) {
        this.timecol = timecol;
    }

    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }

    public String getModelpath() {
        return modelpath;
    }

    public void setModelpath(String modelpath) {
        this.modelpath = modelpath;
    }

    public String getParamKeys() {
        return paramKeys;
    }

    public void setParamKeys(String paramKeys) {
        this.paramKeys = paramKeys;
    }

    public BigDecimal getId() {
        return id;
    }

    public void setId(BigDecimal id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<TrainBaseModelValDetailOutput> getList() {
        return list;
    }

    public void setList(List<TrainBaseModelValDetailOutput> list) {
        this.list = list;
    }
}
