package pps.core.base.service.data.base_equipment;

import xstartup.annotation.XText;

import java.util.ArrayList;
import java.util.List;

public class EquipmentExtendModel {

    @XText("主键id")
    private String id;

    @XText("属性英文名称")
    private String propertyNameEn;

    @XText("属性英文名称")
    private String propertyName;

    @XText("属性值")
    private List<String> propertyValue = new ArrayList<>();


    @XText("属性类型（字典:文本、下拉）")
    private String propertyType;

    @XText("属性类型（字典:文本、下拉）")
    private String propertyTypeName;

    @XText("应用设备类型（字典）")
    private String useEquipmentType;

    @XText("应用设备类型（字典）名称")
    private String useEquipmentTypeName;

    @XText("是否应用至下级1、是0、否")
    private Integer isUseAll;

    @XText("生效状态1、是0、否")
    private Integer isValid;

    @XText("页面排序码")
    private Integer sort;

    @XText("是否必填1、是0、否")
    private Integer isRequired;

    @XText("字符串大小")
    private Integer stringSize;

    @XText("单位")
    private String unit;

    @XText("小数位")
    private Integer decimalDigits;

    @XText("日期格式")
    private String dateForm;

    @XText("数据字典")
    private String dataDic;

    @XText("是否支持多选")
    private Integer isSupportMultiple;

    @XText("多行文本字符串数量")
    private Integer richTextSize;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    public String getPropertyType() {
        return propertyType;
    }

    public void setPropertyType(String propertyType) {
        this.propertyType = propertyType;
    }

    public String getPropertyTypeName() {
        return propertyTypeName;
    }

    public void setPropertyTypeName(String propertyTypeName) {
        this.propertyTypeName = propertyTypeName;
    }

    public String getUseEquipmentType() {
        return useEquipmentType;
    }

    public void setUseEquipmentType(String useEquipmentType) {
        this.useEquipmentType = useEquipmentType;
    }

    public String getUseEquipmentTypeName() {
        return useEquipmentTypeName;
    }

    public void setUseEquipmentTypeName(String useEquipmentTypeName) {
        this.useEquipmentTypeName = useEquipmentTypeName;
    }

    public Integer getIsUseAll() {
        return isUseAll;
    }

    public void setIsUseAll(Integer isUseAll) {
        this.isUseAll = isUseAll;
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getStringSize() {
        return stringSize;
    }

    public void setStringSize(Integer stringSize) {
        this.stringSize = stringSize;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getDecimalDigits() {
        return decimalDigits;
    }

    public void setDecimalDigits(Integer decimalDigits) {
        this.decimalDigits = decimalDigits;
    }

    public String getDateForm() {
        return dateForm;
    }

    public void setDateForm(String dateForm) {
        this.dateForm = dateForm;
    }

    public String getDataDic() {
        return dataDic;
    }

    public void setDataDic(String dataDic) {
        this.dataDic = dataDic;
    }

    public Integer getIsSupportMultiple() {
        return isSupportMultiple;
    }

    public void setIsSupportMultiple(Integer isSupportMultiple) {
        this.isSupportMultiple = isSupportMultiple;
    }

    public Integer getRichTextSize() {
        return richTextSize;
    }

    public void setRichTextSize(Integer richTextSize) {
        this.richTextSize = richTextSize;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPropertyNameEn() {
        return propertyNameEn;
    }

    public void setPropertyNameEn(String propertyNameEn) {
        this.propertyNameEn = propertyNameEn;
    }

    public List<String> getPropertyValue() {
        return propertyValue;
    }

    public void setPropertyValue(List<String> propertyValue) {
        this.propertyValue = propertyValue;
    }
}
