package pps.core.base.service.data.base_line;

import pps.core.base.service.data.base_line_attenuation_rate.CreateBaseLineAttenuationRateInput;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

public class GetBaseLineOutput {
    private Integer id;

    @XText("上级线路")
    private Integer parentId;

    @XText("线路名称")
    private String lineName;

    @XText("线路类型")
    private String  lineType;

    @XText("电网类型")
    private String gridType;

    @XText("装机容量")
    private BigDecimal installCapacity;

    @XText("阵列倾角")
    private BigDecimal arrayIncidence;

    @XText("阵列朝向")
    private BigDecimal arrayToward;

    @XText("井场id")
    private String wellOuId;

    @XText("井场名称")
    private String wellOuName;

    private String createById;

    private String createByName;

    private Date createTime;

    private String modifyById;

    private String modifyByName;

    private Date modifyTime;

    private String productionYear;

    private String serviceLength;

    private List<CreateBaseLineAttenuationRateInput> list;

    public String getProductionYear() {
        return productionYear;
    }

    public void setProductionYear(String productionYear) {
        this.productionYear = productionYear;
    }

    public List<CreateBaseLineAttenuationRateInput> getList() {
        return list;
    }

    public void setList(List<CreateBaseLineAttenuationRateInput> list) {
        this.list = list;
    }


    public String getServiceLength() {
        return serviceLength;
    }

    public void setServiceLength(String serviceLength) {
        this.serviceLength = serviceLength;
    }

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public Integer getParentId() {
        return this.parentId;
    }

    public void setParentId(Integer value) {
        this.parentId = value;
    }

    public String getLineName() {
        return this.lineName;
    }

    public void setLineName(String value) {
        this.lineName = value;
    }

    public String getLineType() {
        return lineType;
    }

    public void setLineType(String lineType) {
        this.lineType = lineType;
    }

    public String getGridType() {
        return gridType;
    }

    public void setGridType(String gridType) {
        this.gridType = gridType;
    }

    public BigDecimal getInstallCapacity() {
        return this.installCapacity;
    }

    public void setInstallCapacity(BigDecimal value) {
        this.installCapacity = value;
    }

    public BigDecimal getArrayIncidence() {
        return this.arrayIncidence;
    }

    public void setArrayIncidence(BigDecimal value) {
        this.arrayIncidence = value;
    }

    public BigDecimal getArrayToward() {
        return this.arrayToward;
    }

    public void setArrayToward(BigDecimal value) {
        this.arrayToward = value;
    }

    public String getWellOuId() {
        return wellOuId;
    }

    public void setWellOuId(String wellOuId) {
        this.wellOuId = wellOuId;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getWellOuName() {
        return wellOuName;
    }

    public void setWellOuName(String wellOuName) {
        this.wellOuName = wellOuName;
    }
}
