package pps.core.base.service.data.base_operational_constraint;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

@Data
public class BaseOperationalConstraintInput {

    @XText("主键")
    @NotBlank
    private String id;

    @XText("保存或提交截止时间(格式 18:00)")
    private String saveSubmitTime;

    @XText("审核截止时间(格式 18:00)")
    private String auditTime;

    @XText("申请变更截止时间(格式 18:00)")
    private String applyChangeTime;
}
