package pps.core.base.service.data.base_power_line;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Data
public class GetBasePowerLineInput {

    @XText("ID")
    @NotBlank(message = "缺少线路ID")
    private String id;
}
