package pps.core.base.service.data.base_power_line_diesel;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路柴发设备配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePowerLineDieselViewOutput {

    @XText("ID")
    private String id;

    @XText("柴发设备ID")
    private String dieselId;

    /**
     * 设备名称
     */
    @XText("设备名称")
    @TableField
    private String deviceName;

    /**
     * 发电功率
     */
    @XText("备用功率(KW)")
    @TableField
    private BigDecimal standbyPower;
}
