package pps.core.base.service.data.base_power_line_plant;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路光伏配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePowerLinePlantViewOutput {

    @XText("ID")
    private String id;

    @XText("光伏电站ID")
    private String plantId;

    /**
     * 电站名称
     */
    @XText("电站名称")
    @TableField
    private String stationName;

    /**
     * 装机总量
     */
    @XText("装机总量(KWP)")
    @TableField
    private BigDecimal totalPower;
}
