package pps.core.base.service.data.base_power_line_storage;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class UpdateBasePowerLineStorageInput {

    @XText("储能设备ID")
    @NotBlank(message = "缺少储能设备ID")
    private String storageId;
}
