package pps.core.base.service.data.base_power_line_wellhead;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class DynamicQueryBasePowerLineWellheadInput {

    @XText("线路ID")
    @NotBlank(message = "缺少线路ID")
    private String lineId;

    @XText("井口ID")
    private String wellheadId;
}
