package pps.core.base.service.data.base_price_strategy_detail;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 策略明细入参
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Data
public class UpdateBasePriceStrategyDetailInput {

    @XText("时段类型key(字典获取)")
    private String periodTypeKey;

    @XText("开始时间")
    private Date startTime;

    @XText("结束时间")
    private Date endTime;

    @XText("电价")
    private BigDecimal electrovalence;

    @XText("内部结算价")
    private BigDecimal internalSettlementPrice;
}
