package pps.core.base.service.data.base_project_info;

import java.math.BigDecimal;
import java.util.List;

public class CalcProjectInfoPredictedDataInput {
    private String liner_id;// 组织机构

    private BigDecimal lat;// 纬度

    private BigDecimal lon; // 经度

    private BigDecimal angle; // 光伏仰角

    private BigDecimal direction; //  # 朝向# pvlib uses 0=North, 90=East, 180=South, 270=West convention

    private BigDecimal capacity; // 安装功率KW

    private BigDecimal efficiency; //转换效率

    private List<BigDecimal> decline; //25年逐年衰减

    private BigDecimal weather;


    public String getLiner_id() {
        return liner_id;
    }

    public void setLiner_id(String liner_id) {
        this.liner_id = liner_id;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public BigDecimal getAngle() {
        return angle;
    }

    public void setAngle(BigDecimal angle) {
        this.angle = angle;
    }

    public BigDecimal getDirection() {
        return direction;
    }

    public void setDirection(BigDecimal direction) {
        this.direction = direction;
    }

    public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }

    public BigDecimal getEfficiency() {
        return efficiency;
    }

    public void setEfficiency(BigDecimal efficiency) {
        this.efficiency = efficiency;
    }

    public List<BigDecimal> getDecline() {
        return decline;
    }

    public void setDecline(List<BigDecimal> decline) {
        this.decline = decline;
    }

    public BigDecimal getWeather() {
        return weather;
    }

    public void setWeather(BigDecimal weather) {
        this.weather = weather;
    }
}
