package pps.core.base.service.data.scada_gather_box;

import pps.core.base.service.data.scada_gather_box_m_ou.CreateScadaGatherBoxMOuInput;
import pps.core.base.service.data.scada_gather_box_m_ou.GetScadaGatherBoxMOuOutput;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import xstartup.base.data.XPageInput;

import javax.persistence.Transient;

public class QueryScadaGatherBoxViewOutput extends XPageInput {
    @XText("采集模型主键")
    private String id;
    private List<GetScadaGatherBoxMOuOutput> ouInputs;
    @XText("采集模板名称")
    private String gatherBoxName;

    @XText("介质类型")
    private String mediaType;
    @XText("介质类型名称")
    private String mediaTypeName;
    private List<String> businessTypes;
    private String businessTypesName;

    @XText("模型状态")
    private Integer boxState;

    @XText("创建时间")
    private Date createTime;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("多个组织机构名称")
    private String ouNames;
    @XText("场站id")
    private String stationId;
    @XText("场站名称")
    private String stationName;
    @XText("已配置数")
    private Long finish;

    @XText("应配置数")
    private Long count;

    public List<String> getBusinessTypes() {
        return businessTypes;
    }

    public void setBusinessTypes(List<String> businessTypes) {
        this.businessTypes = businessTypes;
    }

    public String getBusinessTypesName() {
        return businessTypesName;
    }

    public void setBusinessTypesName(String businessTypesName) {
        this.businessTypesName = businessTypesName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public Long getFinish() {
        return finish;
    }

    public void setFinish(Long finish) {
        this.finish = finish;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public List<GetScadaGatherBoxMOuOutput> getOuInputs() {
        return ouInputs;
    }

    public void setOuInputs(List<GetScadaGatherBoxMOuOutput> ouInputs) {
        this.ouInputs = ouInputs;
    }

    public String getMediaTypeName() {
        return mediaTypeName;
    }

    public void setMediaTypeName(String mediaTypeName) {
        this.mediaTypeName = mediaTypeName;
    }

    public String getOuNames() {
        return ouNames;
    }

    public void setOuNames(String ouNames) {
        this.ouNames = ouNames;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getGatherBoxName() {
        return this.gatherBoxName;
    }

    public void setGatherBoxName(String value) {
        this.gatherBoxName = value;
    }

    public String getMediaType() {
        return this.mediaType;
    }

    public void setMediaType(String value) {
        this.mediaType = value;
    }

    public Integer getBoxState() {
        return this.boxState;
    }

    public void setBoxState(Integer value) {
        this.boxState = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
