package pps.core.task.module;

import pps.core.common.provider.impl.PpsConfigProviderCommonImpl;
import pps.core.common.utils.CommonTraceLogger;
import pps.core.common.utils.ManifestComponentInfoHelper;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.XModule;
import xstartup.base.pattern.XProviderManager;
import xstartup.kernel.system.provider.spec.XConfigProvider;

@XText("任务模块")
public class PpsCoreTaskModule extends XModule {
    protected PpsCoreTaskModule() {
        super(1009);
    }

    @Override
    protected void onStarted(XContext context) {
        CommonTraceLogger.INSTANCE.start();

        //配置信息 自定义实现类
        XProviderManager.setDefaultImplement(context, XConfigProvider.class, PpsConfigProviderCommonImpl.class);
        ManifestComponentInfoHelper.init(this.getClass().getClassLoader());

    }
}
