package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseEnt;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 间开制度详情
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
@TableName("space_interval_system")
public class SpaceIntervalSystemEnt extends BaseEnt implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("电网类型key(字典获取)")
    @TableField
    private String gridTypeKey;

    @XText("制度名称")
    @TableField
    private String systemName;

    @XText("制度开始时间")
    @TableField
    private Date systemStartDate;

    @XText("制度结束时间")
    @TableField
    private Date systemEndDate;

    @XText("优化至")
    @TableField
    private String optimizedTo;

    @XText("当前运行制度(0_是;1_否)")
    @TableField
    private Integer isCurrentRun;
}
