package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class SpaceIntervalWellheadConfigView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("间开制度ID")
    @TableField
    private String intervalId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("运行类型key(字典获取)")
    @TableField
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    @TableField
    private String intervalTypeKey;

    @XText("间开描述")
    @TableField
    private String intervalDescribe;

    @XText("开井天数")
    @TableField
    private Integer openWellDay;

    @XText("关井天数")
    @TableField
    private Integer closeWellDay;

    @XText("运行时长（小时/天）")
    @TableField
    private BigDecimal runDuration;
}
