package pps.core.space.service.data.space_interval_system;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 间开制度详情
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class CreateSpaceIntervalSystemInput {

    @XText("组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("制度名称")
    private String systemName;

    @XText("制度开始时间")
    private Date systemStartDate;

    @XText("制度结束时间")
    private Date systemEndDate;



}
