package pps.core.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("base_transfer_log")
public class BaseTransferLogEnt implements Serializable {
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("topic")
    @TableField
    private String topicName;

    @XText("作用域名称")
    @TableField
    private String mqMessage;

    @XText("执行时间")
    @TableField
    private Date createTime;

    @XText("异常信息")
    @TableField
    private String exceptionInfo;


    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getTopicName() {
        return topicName;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    public String getMqMessage() {
        return mqMessage;
    }

    public void setMqMessage(String mqMessage) {
        this.mqMessage = mqMessage;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getExceptionInfo() {
        return exceptionInfo;
    }

    public void setExceptionInfo(String exceptionInfo) {
        this.exceptionInfo = exceptionInfo;
    }
}
