package pps.core.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("sys_file_middle_attachment")
public class SysFileMiddleAttachmentEnt implements Serializable {
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("附件")
    @TableField
    private String fileKey;

    @XText("业务id")
    @TableField
    private String bsnsId;

    @XText("业务类型")
    @TableField
    private String bsnsType;

    @XText("附件名称")
    @TableField
    private String attachName;

    @XText("附件类型")
    @TableField
    private String attachType;

    @XText("附件大小")
    @TableField
    private Integer attachSize;

    @TableField
    private String createById;

    @TableField
    private String createByName;

    @TableField
    private Date createTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public String getBsnsId() {
        return bsnsId;
    }

    public void setBsnsId(String bsnsId) {
        this.bsnsId = bsnsId;
    }

    public String getBsnsType() {
        return bsnsType;
    }

    public void setBsnsType(String bsnsType) {
        this.bsnsType = bsnsType;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAttachName() {
        return attachName;
    }

    public void setAttachName(String attachName) {
        this.attachName = attachName;
    }

    public String getAttachType() {
        return attachType;
    }

    public void setAttachType(String attachType) {
        this.attachType = attachType;
    }

    public Integer getAttachSize() {
        return attachSize;
    }

    public void setAttachSize(Integer attachSize) {
        this.attachSize = attachSize;
    }
}
