package pps.core.common.enums;

public interface DictEnum {
    Integer getValue();
    String getDesc();
//    static <T> T findByValue(Integer v, DictEnum[] items){
//        for(DictEnum e : items){
//            if( e.getValue() == v){
//                return (T)e;
//            }
//        }
//        return null;
//    }


    public static <T> T findByValue(Integer v, DictEnum[] values){
        if( v == null){
            return null;
        }
        for(DictEnum e : values){
            if( e.getValue() .equals(v) ){
                return (T)e;
            }
        }
        return null;
    }
    public static <T> T findByDesc(String desc, DictEnum[] values){
        for(DictEnum e : values){
            if( e.getDesc().equals(desc) ){
                return (T)e;
            }
        }
        return null;
    }
}
