package pps.core.common.mq;

import xstartup.annotation.XText;
import xstartup.base.mq.XMqMessage;

import java.util.Date;
import java.util.UUID;

/**
 * @author lixueyan
 * @date 2022/8/3 0003 10:28
 */
public class AckImsMqMessage extends XMqMessage {

    @XText("PPS作业计划id")
    private String pps_id;

    @XText("PPS作业计划编号")
    private String pps_num;
    @XText("PPS审核状态(审核通过：36476审核未通过：36067)")
    private String pps_status;
    @XText("PPS审核意见")
    private String pps_result;
    @XText("PPS审核人")
    private String pps_audit;
    @XText("审核步骤:1.所属企业分控中心节点，2.国调节点")
    private String pps_step;

    public AckImsMqMessage() {
        setMessageTag(UUID.randomUUID().toString().replace("-", ""));
        setMessageId(UUID.randomUUID().toString().replace("-", ""));
        setMessageKey(UUID.randomUUID().toString().replace("-", ""));
    }

    public String getPps_id() {
        return pps_id;
    }

    public void setPps_id(String pps_id) {
        this.pps_id = pps_id;
    }

    public String getPps_num() {
        return pps_num;
    }

    public void setPps_num(String pps_num) {
        this.pps_num = pps_num;
    }

    public String getPps_status() {
        return pps_status;
    }

    public void setPps_status(String pps_status) {
        this.pps_status = pps_status;
    }

    public String getPps_result() {
        return pps_result;
    }

    public void setPps_result(String pps_result) {
        this.pps_result = pps_result;
    }

    public String getPps_audit() {
        return pps_audit;
    }

    public void setPps_audit(String pps_audit) {
        this.pps_audit = pps_audit;
    }

    public String getPps_step() {
        return pps_step;
    }

    public void setPps_step(String pps_step) {
        this.pps_step = pps_step;
    }
}
