package pps.core.common.mq;

import pps.core.common.utils.UUIDHelper;
import xstartup.annotation.XText;
import xstartup.base.mq.XMqMessage;

import java.util.Date;
import java.util.UUID;

public class PushMeasureDateValueMessage extends XMqMessage {

    public String formId;

    @XText("是否作废：0否1是")
    public Integer isDelete;

    public PushMeasureDateValueMessage() {
        setMessageTag(UUID.randomUUID().toString().replace("-", ""));
        setMessageId(UUID.randomUUID().toString().replace("-", ""));
        setMessageKey(UUID.randomUUID().toString().replace("-", ""));
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    //    @Override
//    public String getMessageTag() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageId() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageKey() {
//        return UUIDHelper.newUUID();
//    }
}
