//package pps.core.common.provider.impl;
//
//import pps.core.common.cache.TradeUserPermissionCache;
//import xstartup.annotation.XImplement;
//import xstartup.base.XContext;
//import xstartup.base.XUser;
//import xstartup.base.metadata.XActionDefine;
//import xstartup.core.base.provider.spec.XDynamicPermissionProvider;
//import xstartup.data.XServiceResult;
//import xstartup.error.XError;
//
//import static pps.core.common.constant.LoginConstant.LOGIN_FLAG_TRADE;
//
///**
// * @author lixueyan
// * @date 2023/2/21 0021 13:52
// */
//@XImplement
//public class PpsDynamicPermissionProviderImpl implements XDynamicPermissionProvider {
//    @Override
//    public XServiceResult checkDynamicPermission(XContext context, XActionDefine actionDefine, XUser xUser) {
//        Long orgId = xUser.getOrgId();
//        String serviceName = actionDefine.getMethod().getDeclaringClass().getName();
//        String actionName = actionDefine.getMethod().getName();
//        boolean tradePermissionFlag = false;
//        if(orgId.equals(LOGIN_FLAG_TRADE)) {
//            tradePermissionFlag = TradeUserPermissionCache.exist(context, orgId, serviceName, actionName);
//        }
//        if ((orgId!=null && !orgId.equals(LOGIN_FLAG_TRADE))||(tradePermissionFlag && orgId.equals(LOGIN_FLAG_TRADE))) {
//            context.getLogger().debug("permission none,result ok");
//            return XServiceResult.OK;
//        }
//        if(!tradePermissionFlag && orgId.equals(LOGIN_FLAG_TRADE)){
//            context.getLogger().debug("permission any,not exist:{},{}", serviceName,actionName);
//            return XServiceResult.error(context, XError.Deny);
//        }
//        return XServiceResult.OK;
//    }
//}
