package pps.core.common.service.data.base_sys_log;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class UpdateBaseSysLogInput {
    private String id;

    @XText("系统名称")
    private String systemName;

    @XText("作用域名称")
    private String scopeName;

    @XText("模块名称")
    private String moduleName;

    @XText("服务名称")
    private String serviceName;

    @XText("方法名称")
    private String actionName;

    @XText("请求方式")
    private String requestMethod;

    @XText("请求ip")
    private String requestIp;

    @XText("浏览器信息")
    private String browserInfo;

    private String source;

    @XText("请求参数-json格式")
    private String requestValue;

    @XText("响应参数-json格式")
    private String responseValue;

    @XText("用户id")
    private String userId;

    @XText("执行时间")
    private Date executionTime;

    @XText("异常信息")
    private String exceptionInfo;

    @XText("是否异常")
    private Boolean isException;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getSystemName() {
        return this.systemName;
    }

    public void setSystemName(String value) {
        this.systemName = value;
    }

    public String getScopeName() {
        return this.scopeName;
    }

    public void setScopeName(String value) {
        this.scopeName = value;
    }

    public String getModuleName() {
        return this.moduleName;
    }

    public void setModuleName(String value) {
        this.moduleName = value;
    }

    public String getServiceName() {
        return this.serviceName;
    }

    public void setServiceName(String value) {
        this.serviceName = value;
    }

    public String getActionName() {
        return this.actionName;
    }

    public void setActionName(String value) {
        this.actionName = value;
    }

    public String getRequestMethod() {
        return this.requestMethod;
    }

    public void setRequestMethod(String value) {
        this.requestMethod = value;
    }

    public String getRequestIp() {
        return this.requestIp;
    }

    public void setRequestIp(String value) {
        this.requestIp = value;
    }

    public String getBrowserInfo() {
        return this.browserInfo;
    }

    public void setBrowserInfo(String value) {
        this.browserInfo = value;
    }

    public String getSource() {
        return this.source;
    }

    public void setSource(String value) {
        this.source = value;
    }

    public String getRequestValue() {
        return this.requestValue;
    }

    public void setRequestValue(String value) {
        this.requestValue = value;
    }

    public String getResponseValue() {
        return this.responseValue;
    }

    public void setResponseValue(String value) {
        this.responseValue = value;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String value) {
        this.userId = value;
    }

    public Date getExecutionTime() {
        return this.executionTime;
    }

    public void setExecutionTime(Date value) {
        this.executionTime = value;
    }

    public String getExceptionInfo() {
        return this.exceptionInfo;
    }

    public void setExceptionInfo(String value) {
        this.exceptionInfo = value;
    }

    public Boolean getIsException() {
        return this.isException;
    }

    public void setIsException(Boolean value) {
        this.isException = value;
    }

}
