package pps.core.common.service.data.file;

import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;

/**
 * @author lixueyan
 * @date 2022/8/22 0022 14:31
 */
public class Base64UploadInput {
    @XText("文件base64编码")
    @NotNull
    private String base64Str;
    @XText("文件夹")
    private String folderName;
    @XText("业务id")
    private String bsnsId;
    @XText("后缀")
    @NotNull
    private String suffix;
    @XText("文件名")
    @NotNull
    private String fileName;

    public String getBase64Str() {
        return base64Str;
    }

    public void setBase64Str(String base64Str) {
        this.base64Str = base64Str;
    }

    public String getFolderName() {
        return folderName;
    }

    public void setFolderName(String folderName) {
        this.folderName = folderName;
    }

    public String getBsnsId() {
        return bsnsId;
    }

    public void setBsnsId(String bsnsId) {
        this.bsnsId = bsnsId;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
