package pps.core.common.service.data.file;

import jakarta.validation.constraints.NotNull;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;
import xstartup.toolkit.office.annotation.XExcelColumn;

import java.util.List;

/**
 * @author lihaichang
 * @date 2023/1/30 0016 11:10
 */
public class FileBatchDownloadInput {

    @NotNull
    @XText("需要压缩的附件集合")
    private List<String> fileKeyList;

    @NotNull
    @XText("压缩包名（文件夹名）")
    private String folderName;

    public List<String> getFileKeyList() {
        return fileKeyList;
    }

    public void setFileKeyList(List<String> fileKeyList) {
        this.fileKeyList = fileKeyList;
    }

    public String getFolderName() {
        return folderName;
    }

    public void setFolderName(String folderName) {
        this.folderName = folderName;
    }
}
