package pps.cloud.system.enums;

public enum OuLevelDic {
    OuLevelUnit("ADMINISTRATIVE","二级分公司/管理处"),
    OuLevelYD("OIL_GAS_FIRM","油气调控中心"),
    OuLevelArea("REGION_FIRM","地区公司"),
    OuLevelStation("STATION","场站"),
    OuLevelKS("OFFICE_KS","科室"),
    OuLevelCS("OFFICE_CS","处室"),
    Other("","其他"),
    ;


    private String key;
    private String name;

    OuLevelDic(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static OuLevelDic getByKey(String ouLevel){
        for(OuLevelDic e : values()){
            if( e.getKey() .equals(ouLevel) ){
                return e;
            }
        }
        return Other;
    }
}
