package pps.cloud.system.service;

import pps.cloud.system.service.data.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.data.XSingleResult;

@XText("角色服务")
@XService
public interface SysRoleCloudService {

    @XText("获取角色详情")
    XSingleResult<GetSysRoleOutput> getSysRole(XContext context, GetSysRoleInput input);

    @XText("获取角色列表")
    XPageResult<QuerySysRoleOutput> querySysRole(XContext context, QuerySysRoleInput input);

    @XText("按角色获取用户列表")
    XListResult<GetUserListWithRoleIdsOutput> getUserListWithRoleIds(XContext context, GetUserListWithRoleIdsInput input);

    @XText("获取不在列表中的角色")
    XListResult<GetUserListWithRoleIdsOutput> getRoleListWithNotInRoleIds(XContext context, GetUserListWithRoleIdsInput input);

    @XText("获取在列表种的角色")
    XListResult<GetUserListWithRoleIdsOutput> getRoleListWithInRoleIds(XContext context, GetUserListWithRoleIdsInput input);
}
