package pps.cloud.system.service;

import pps.cloud.system.service.data.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.data.XSingleResult;

@XText("角色用户服务")
@XService
public interface SysRoleUserService {

    @XText("获取角色用户列表(角色、组织、组织级别)")
    XListResult<QuerySysRoleUserOutput> querySysRoleUser(XContext context, QuerySysRoleUserInput input);

    @XText("获取组织级别")
    XSingleResult<GetOuLevelOutput> queryOuLevel(XContext context, GetOuLevelInput input);
}
