package pps.cloud.system.service;

import pps.cloud.system.service.data.QuerySysOrganizationDictionaryInput;
import pps.cloud.system.service.data.QuerySysOrganizationDictionaryOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiPost;

@XText("组织机构字典接口")
@XService
public interface SystemOrganizationDictionaryService {

    @XText("根据组织机构id查询所有字典id")
    @XApiAnonymous
    @XApiPost
    XPageResult<QuerySysOrganizationDictionaryOutput> querySysOrganizationDictionary(XContext context, QuerySysOrganizationDictionaryInput input);

    @XText("根据组织机构id查询所有字典数据")
    @XApiAnonymous
    @XApiPost
    XListResult<QuerySysOrganizationDictionaryOutput> queryOrganizationDictionary(XContext context, QuerySysOrganizationDictionaryInput input);
}
