package pps.core.system.cache;

import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.cache.XCacheLife;
import xstartup.cache.XCacheObject;
import xstartup.cache.XListCache;
import java.util.List;

public class FineReportThirdTokenCache implements XCacheObject, XCacheLife {

    @XText("是否全选")
    private String cacheCode;

    @XText("字典路径")
    private String cacheKey;

    public String getCacheCode() {
        return cacheCode;
    }

    public void setCacheCode(String cacheCode) {
        this.cacheCode = cacheCode;
    }

    public void setCacheKey(String cacheKey) {
        this.cacheKey = cacheKey;
    }

    @Override
    public String getCacheKey() {
        return this.cacheKey;
    }

    @Override
    public Integer getDuration() {
        //过期时间（秒）
        return 60 * 60;
    }

    /**
     * 检查缓存是否存在指定的code
     * @param context
     * @param loginName
     * @param dicKey
     * @return
     */
    public static boolean exist(XContext context, String loginName, String dicKey){
        return FineReportThirdTokenCache.Tool.get(FineReportThirdTokenCache.Tool.class).exist(context, loginName, dicKey, FineReportThirdTokenCache.class);
    }

    /**
     * 从缓存中读取
     * @param context
     * @param loginName
     * @return
     */
    public static List<FineReportThirdTokenCache> list(XContext context, String loginName){
        return FineReportThirdTokenCache.Tool.get(FineReportThirdTokenCache.Tool.class).list(context, loginName, FineReportThirdTokenCache.class);
    }

    /**
     * 设置缓存
     * @param context
     * @param loginName
     * @param caches
     */
    public static void set(XContext context, String loginName, List<FineReportThirdTokenCache> caches){
        FineReportThirdTokenCache.Tool.get(FineReportThirdTokenCache.Tool.class).set(context, loginName, caches);
    }


    static class Tool extends XListCache<FineReportThirdTokenCache> {
        @Override
        protected List<FineReportThirdTokenCache> restore(XContext context, String listKey) {
            return null;
        }
    }
}
