package pps.core.system.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import pps.core.common.enums.DictEnum;

/**
* @Description: 操作状态
*/
public enum SysInformHandleTypeConstant{
    HAND_WORK(1, "手工发送"),
    SAVE(2, "暂存"),
    RESET(3, "重置"),
    COMMIT(4, "提交"),
    BACK(5, "审核退回"),
    PASS(6,"审核通过"),
    CHANGE(7, "变更申请"),
    PASS_CHAGNE(8,"同意变更"),
    REFUSE_CHANGE(9, "拒绝变更");


    private Integer value;
    private String desc;

    SysInformHandleTypeConstant(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }


    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static SysInformHandleTypeConstant findByValue(Integer v){
        for(SysInformHandleTypeConstant e : values()){
            if( e.getValue() .equals(v) ){
                return e;
            }
        }
        return null;
    }

    public static SysInformHandleTypeConstant findByDesc(String desc){
        for(SysInformHandleTypeConstant e : values()){
            if( e.getDesc().equals(desc) ){
                return e;
            }
        }
        return null;
    }
}
