package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import pps.core.common.pattern.Builder;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@XText("null")
@TableName("base_info_trace_log")
public class BaseInfoTraceLogEnt implements Serializable  {

    public static Builder<BaseInfoTraceLogEnt> entityBuilder(){
        return Builder.create(BaseInfoTraceLogEnt .class);
    }

    //region DB-FIELDS-CONST

    public static final String TABLE_NAME = "base_info_trace_log";
    //主键
    public static final String ID = "id";
    //跟踪id
    public static final String TRACEID = "traceid";
    //跟踪内容
    public static final String TRACE_INFO = "trace_info";
    //创建时间
    public static final String CREATE_TIME = "create_time";

    //endregion

    //region Fields

    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id ;

    @XText("跟踪id")
    @TableField
    private String traceid ;

    @XText("跟踪内容")
    @TableField
    private String traceInfo ;

    @XText("创建时间")
    @TableField
    private Date createTime ;


    //endregion


    //region GET/SET

    public String getId(){
        return this.id;
    }
    public void setId(String value){
        this.id = value;
    }

    public String getTraceid(){
        return this.traceid;
    }
    public void setTraceid(String value){
        this.traceid = value;
    }

    public String getTraceInfo(){
        return this.traceInfo;
    }
    public void setTraceInfo(String value){
        this.traceInfo = value;
    }

    public Date getCreateTime(){
        return this.createTime;
    }
    public void setCreateTime(Date value){
        this.createTime = value;
    }


    //endregion

}
