package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class OperationMaintenanceUserView implements Serializable {
    @XText("id")
    @TableField
    private String id;

    @XText("申请人姓名")
    @TableField
    private String applicantName;

    @XText("申请人电话")
    @TableField
    private String applicantPhone;

    @XText("组织机构id")
    @TableField
    private String mOuId;

    @XText("组织机构名称")
    @TableField
    private String mOuName;

    @XText("与谁账号一致id")
    @TableField
    private String accountConsistentId;

    @XText("与谁账号一致名字")
    @TableField
    private String accountConsistentName;

    @XText("账户权限")
    @TableField
    private String accountPermissions;

    @XText("附件")
    @TableField
    private String fileKey;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("数据填报时间")
    @TableField
    private Date dataDate;

    @XText("备用字段1")
    @TableField
    private String alternateFieldsOne;

    @XText("备用字段2")
    @TableField
    private String alternateFieldsTwo;

    @XText("审核人员id")
    @TableField
    private String auditorId;

    @XText("审核人员")
    @TableField
    private String auditorName;

    @XText("审核状态0未提交,2审核中,3审批通过,4已驳回")
    @TableField
    private Integer auditstatus;

    @XText("备用字段3")
    @TableField
    private String alternateFieldsThree;

    public String getAlternateFieldsThree() {
        return alternateFieldsThree;
    }

    public void setAlternateFieldsThree(String alternateFieldsThree) {
        this.alternateFieldsThree = alternateFieldsThree;
    }

    public String getmOuId() {
        return mOuId;
    }

    public void setmOuId(String mOuId) {
        this.mOuId = mOuId;
    }

    public String getmOuName() {
        return mOuName;
    }

    public void setmOuName(String mOuName) {
        this.mOuName = mOuName;
    }

    public String getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(String auditorId) {
        this.auditorId = auditorId;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public Integer getAuditstatus() {
        return auditstatus;
    }

    public void setAuditstatus(Integer auditstatus) {
        this.auditstatus = auditstatus;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getApplicantName() {
        return this.applicantName;
    }

    public void setApplicantName(String value) {
        this.applicantName = value;
    }

    public String getApplicantPhone() {
        return this.applicantPhone;
    }

    public void setApplicantPhone(String value) {
        this.applicantPhone = value;
    }

    public String getAccountConsistentId() {
        return this.accountConsistentId;
    }

    public void setAccountConsistentId(String value) {
        this.accountConsistentId = value;
    }

    public String getAccountConsistentName() {
        return this.accountConsistentName;
    }

    public void setAccountConsistentName(String value) {
        this.accountConsistentName = value;
    }

    public String getAccountPermissions() {
        return this.accountPermissions;
    }

    public void setAccountPermissions(String value) {
        this.accountPermissions = value;
    }

    public String getFileKey() {
        return this.fileKey;
    }

    public void setFileKey(String value) {
        this.fileKey = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Date getDataDate() {
        return this.dataDate;
    }

    public void setDataDate(Date value) {
        this.dataDate = value;
    }

    public String getAlternateFieldsOne() {
        return this.alternateFieldsOne;
    }

    public void setAlternateFieldsOne(String value) {
        this.alternateFieldsOne = value;
    }

    public String getAlternateFieldsTwo() {
        return this.alternateFieldsTwo;
    }

    public void setAlternateFieldsTwo(String value) {
        this.alternateFieldsTwo = value;
    }

}
