package pps.core.system.entity;



import java.io.Serializable;
import java.util.Date;

public class ScadaGatherConfView implements Serializable {

    private String id;
    private String scadaGatherBoxId;
    private String scadaGatherBoxRelId;
    private String scadaEnvironmentInfoId;
    private String environmentInfoName;
    private String scadaInventoryInfoId;
    private String scadaTag;
    private String configColumnId;
    private String tagName;
    private Date collectStartTime;
    private String collectInterval;
    private String alarmMin;
    private String alarmMax;
    private String dataUnit;

    private String moveTowards;
    private String gatherType;
    private String gatherOffset;

    private String computWay;
    private String computCoefficient;

    private ScadaGatherBoxRel scadaGatherBoxRel;

    private ScadaGatherData scadaGatherData;

    private Date gatherExpiryDate;


    public String getComputWay() {
        return computWay;
    }

    public void setComputWay(String computWay) {
        this.computWay = computWay;
    }

    public String getComputCoefficient() {
        return computCoefficient;
    }

    public void setComputCoefficient(String computCoefficient) {
        this.computCoefficient = computCoefficient;
    }

    public Date getGatherExpiryDate() {
        return gatherExpiryDate;
    }

    public void setGatherExpiryDate(Date gatherExpiryDate) {
        this.gatherExpiryDate = gatherExpiryDate;
    }

    public ScadaGatherData getScadaGatherData() {
        return scadaGatherData;
    }

    public void setScadaGatherData(ScadaGatherData scadaGatherData) {
        this.scadaGatherData = scadaGatherData;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getScadaGatherBoxId() {
        return scadaGatherBoxId;
    }

    public void setScadaGatherBoxId(String scadaGatherBoxId) {
        this.scadaGatherBoxId = scadaGatherBoxId;
    }

    public String getScadaGatherBoxRelId() {
        return scadaGatherBoxRelId;
    }

    public void setScadaGatherBoxRelId(String scadaGatherBoxRelId) {
        this.scadaGatherBoxRelId = scadaGatherBoxRelId;
    }

    public String getScadaEnvironmentInfoId() {
        return scadaEnvironmentInfoId;
    }

    public void setScadaEnvironmentInfoId(String scadaEnvironmentInfoId) {
        this.scadaEnvironmentInfoId = scadaEnvironmentInfoId;
    }

    public String getEnvironmentInfoName() {
        return environmentInfoName;
    }

    public void setEnvironmentInfoName(String environmentInfoName) {
        this.environmentInfoName = environmentInfoName;
    }

    public String getScadaInventoryInfoId() {
        return scadaInventoryInfoId;
    }

    public void setScadaInventoryInfoId(String scadaInventoryInfoId) {
        this.scadaInventoryInfoId = scadaInventoryInfoId;
    }

    public String getScadaTag() {
        return scadaTag;
    }

    public void setScadaTag(String scadaTag) {
        this.scadaTag = scadaTag;
    }

    public String getConfigColumnId() {
        return configColumnId;
    }

    public void setConfigColumnId(String configColumnId) {
        this.configColumnId = configColumnId;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public Date getCollectStartTime() {
        return collectStartTime;
    }

    public void setCollectStartTime(Date collectStartTime) {
        this.collectStartTime = collectStartTime;
    }

    public String getCollectInterval() {
        return collectInterval;
    }

    public void setCollectInterval(String collectInterval) {
        this.collectInterval = collectInterval;
    }

    public String getAlarmMin() {
        return alarmMin;
    }

    public void setAlarmMin(String alarmMin) {
        this.alarmMin = alarmMin;
    }

    public String getAlarmMax() {
        return alarmMax;
    }

    public void setAlarmMax(String alarmMax) {
        this.alarmMax = alarmMax;
    }

    public String getDataUnit() {
        return dataUnit;
    }

    public void setDataUnit(String dataUnit) {
        this.dataUnit = dataUnit;
    }

    public ScadaGatherBoxRel getScadaGatherBoxRel() {
        return scadaGatherBoxRel;
    }

    public void setScadaGatherBoxRel(ScadaGatherBoxRel scadaGatherBoxRel) {
        this.scadaGatherBoxRel = scadaGatherBoxRel;
    }

    public String getMoveTowards() {
        return moveTowards;
    }

    public void setMoveTowards(String moveTowards) {
        this.moveTowards = moveTowards;
    }

    public String getGatherType() {
        return gatherType;
    }

    public void setGatherType(String gatherType) {
        this.gatherType = gatherType;
    }

    public String getGatherOffset() {
        return gatherOffset;
    }

    public void setGatherOffset(String gatherOffset) {
        this.gatherOffset = gatherOffset;
    }
}
