package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("sys_inform_template_receive_type_detail")
public class SysInformTemplateReceiveTypeDetailEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("消息通知模版主键id")
    @TableField
    private String informOperateTemplateId;

    @XText("接收方式主键")
    @TableField
    private String informTemplateRecieveTypeId;

    @XText("组织机构id")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("人员、角色、组织机构、收件组id")
    @TableField
    private String objId;

    @XText("人员、角色、组织机构、收件组名称")
    @TableField
    private String objName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getInformOperateTemplateId() {
        return this.informOperateTemplateId;
    }

    public void setInformOperateTemplateId(String value) {
        this.informOperateTemplateId = value;
    }

    public String getInformTemplateRecieveTypeId() {
        return this.informTemplateRecieveTypeId;
    }

    public void setInformTemplateRecieveTypeId(String value) {
        this.informTemplateRecieveTypeId = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getOuName() {
        return this.ouName;
    }

    public void setOuName(String value) {
        this.ouName = value;
    }

    public String getObjId() {
        return this.objId;
    }

    public void setObjId(String value) {
        this.objId = value;
    }

    public String getObjName() {
        return this.objName;
    }

    public void setObjName(String value) {
        this.objName = value;
    }

}
