package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("sys_inform_template_receive_type")
public class SysInformTemplateReceiveTypeEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("消息通知模版id")
    @TableField
    private String informOperateTemplateId;

    @XText("接收方式类型（7种）")
    @TableField
    private Integer recieveType;

    @XText("接收方式类型名称")
    @TableField
    private String recieveTypeName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getInformOperateTemplateId() {
        return this.informOperateTemplateId;
    }

    public void setInformOperateTemplateId(String value) {
        this.informOperateTemplateId = value;
    }

    public Integer getRecieveType() {
        return this.recieveType;
    }

    public void setRecieveType(Integer value) {
        this.recieveType = value;
    }

    public String getRecieveTypeName() {
        return this.recieveTypeName;
    }

    public void setRecieveTypeName(String value) {
        this.recieveTypeName = value;
    }

}
