package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("sys_out_user_search_client_log")
public class SysOutUserSearchClientLogEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("ip地址")
    @TableField
    private String ipAddress;

    @XText("错误信息")
    @TableField
    private String errorMsg;

    @XText("创建时间")
    @TableField
    private Date createTime;

}
