package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("sys_user_forget_log")
public class SysUserForgetLogEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("登录账户")
    @TableField
    private String loginName;

    @XText("ip")
    @TableField
    private String ipAddress;

    @XText("创建时间")
    @TableField
    private Date createTime;

}
