package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("sys_user_import_log_detail")
public class SysUserImportLogDetailEnt  implements Serializable {
    @XText("主键")
    @TableField
    private String id;

    @XText("主表id")
    @TableField
    private String logId;

    @XText("组织机构id")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("登录名")
    @TableField
    private String loginName;

    @XText("IAM接口登录名称")
    @TableField
    private String iamLoginName;

    @XText("员工编号")
    @TableField
    private String userCode;

    @XText("用户姓名")
    @TableField
    private String userName;

    @XText("用户密码，客户类使用此字段，内网用户不使用")
    @TableField
    private String password;

    @XText("是否外网访问：1是 2否")
    @TableField
    private String isOuter;

    @XText("是否内网访问：1是 2否")
    @TableField
    private String isInner;

    @XText("职务-系统字典")
    @TableField
    private String duty;

    @XText("电话")
    @TableField
    private String phone;

    @XText("用户邮箱")
    @TableField
    private String email;

    @XText("邮编")
    @TableField
    private String postalCode;

    @XText("地址")
    @TableField
    private String address;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("状态：0成功、1失败")
    @TableField
    private Integer status;

    @XText("信息")
    @TableField
    private String msg;

    @XText("角色用户id-iam账户")
    @TableField
    private String userId;

    @XText("角色用户id")
    @TableField(exist = false)
    private String userIdAct;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getIamLoginName() {
        return iamLoginName;
    }

    public void setIamLoginName(String iamLoginName) {
        this.iamLoginName = iamLoginName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getIsOuter() {
        return isOuter;
    }

    public void setIsOuter(String isOuter) {
        this.isOuter = isOuter;
    }

    public String getIsInner() {
        return isInner;
    }

    public void setIsInner(String isInner) {
        this.isInner = isInner;
    }

    public String getDuty() {
        return duty;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserIdAct() {
        return userIdAct;
    }

    public void setUserIdAct(String userIdAct) {
        this.userIdAct = userIdAct;
    }
}
