package pps.core.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.MessageTemplateProcParamEnt;
import pps.core.system.service.data.message_proc_cnf.UpdateMessageProcCnfInput;

import java.util.List;
import java.util.Map;

@Repository(value="pps.core.system.mapper.MessageTemplateProcParamMapper")
public interface MessageTemplateProcParamMapper extends BaseMapper<MessageTemplateProcParamEnt> {

    @Select("select c.*,b.param_value ,b.\"no\"  from message_template_proc a join message_template_proc_param   b on \n" +
            "a.id = b.template_proc_id\n" +
            "join message_proc_param c on c.param_name  = b.param_name and c.proc_id =a.proc_id \n" +
            "where a.id =#{id} order by c.sort")
    List<Map<String,Object>> getParamValue(@Param("id") String input);
}
