package pps.core.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.ScadaGatherData;

import java.util.Date;
import java.util.List;

@Repository(value="pps.core.system.mapper.ScadaGatherDataMapper")
public interface ScadaGatherDataMapper extends BaseMapper<ScadaGatherData> {
    ScadaGatherData selectByTag(@Param("scadaTag") String scadaTag, @Param("beforeDay") Date beforeDay);

    ScadaGatherData selectDataByDataDate(@Param("scadaTag") String scadaTag, @Param("dateData") Date dateData);

    List<ScadaGatherData> selectRemedyList(@Param("id") String id);
}
