package pps.core.system.service.data.operation_maintenance_data_modification_application;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class GetOperationMaintenanceDataModificationApplicationInput {
    @XText("Uuid")
    private String id;

    @XText("组织机构id")
    private String mOuId;

    @XText("组织机构名称")
    private String mOuName;

    @XText("管线id")
    private String pipelineId;

    @XText("管线名称")
    private String pipelineName;

    @XText("组织机构名称")
    private String formId;
    @XText("组织机构名称")
    private String formName;
    @XText("组织机构名称")
    private String deadLine;

    @XText("场站id")
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("申请人名称")
    private String applicantName;

    @XText("联系电话")
    private String telephone;

    @XText("表单模版")
    private String formTemplates;

    @XText("表单模版id")
    private String formTemplatesId;

    @XText("修改原因及内容")
    private String reasonModification;

    @XText("附件ids filekey")
    private String fileKey;

    @XText("开通权限")
    private String activatePermissions;

    @XText("开通日期")
    private Date openingDate;

    @XText("是否暂存(0是暂存,1是提交)")
    private Integer dataStatus;

    @XText("是否删除(0是已删除,1是正常)")
    private Integer isDeleted;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("数据填报时间")
    private Date dataDate;

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getDeadLine() {
        return deadLine;
    }

    public void setDeadLine(String deadLine) {
        this.deadLine = deadLine;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getmOuId() {
        return mOuId;
    }

    public void setmOuId(String mOuId) {
        this.mOuId = mOuId;
    }

    public String getmOuName() {
        return mOuName;
    }

    public void setmOuName(String mOuName) {
        this.mOuName = mOuName;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getFormTemplates() {
        return formTemplates;
    }

    public void setFormTemplates(String formTemplates) {
        this.formTemplates = formTemplates;
    }

    public String getFormTemplatesId() {
        return formTemplatesId;
    }

    public void setFormTemplatesId(String formTemplatesId) {
        this.formTemplatesId = formTemplatesId;
    }

    public String getReasonModification() {
        return reasonModification;
    }

    public void setReasonModification(String reasonModification) {
        this.reasonModification = reasonModification;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public String getActivatePermissions() {
        return activatePermissions;
    }

    public void setActivatePermissions(String activatePermissions) {
        this.activatePermissions = activatePermissions;
    }

    public Date getOpeningDate() {
        return openingDate;
    }

    public void setOpeningDate(Date openingDate) {
        this.openingDate = openingDate;
    }

    public Integer getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(Integer dataStatus) {
        this.dataStatus = dataStatus;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getDataDate() {
        return dataDate;
    }

    public void setDataDate(Date dataDate) {
        this.dataDate = dataDate;
    }
}
