package pps.core.system.service.data.operation_maintenance_station_application;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class DynamicQueryOperationMaintenanceStationApplicationInput {
    @XText("id")
    private String id;

    @XText("组织机构id")
    private String mOuId;

    @XText("组织机构名称")
    private String mOuName;

    @XText("联系电话")
    private String telephone;

    @XText("场站名称")
    private String stationName;

    @XText("场站简称")
    private String stationReferredToAs;

    @XText("场站类型id")
    private String stationTypeId;

    @XText("场站类型名字")
    private String stationTypeName;

    @XText("所属省份id")
    private String provinceId;

    @XText("所属省份名字")
    private String provinceName;

    @XText("所属组织机构id")
    private String affiliatedUnitId;

    @XText("所属组织机构名字")
    private String affiliatedUnitName;

    @XText("管线id")
    private String pipelineId;

    @XText("管线名字")
    private String pipelineName;

    @XText("上游场站id")
    private String upstreamStationId;

    @XText("上游场站名字")
    private String upstreamStationName;

    @XText("下游场站id")
    private String downstreamStationId;

    @XText("下游场站名字")
    private String downstreamStationName;

    @XText("上游间距")
    private String upstreamSpacing;

    @XText("下游间距")
    private String downstreamSpacing;

    @XText("上游管容")
    private String upstreamManagementCapacity;

    @XText("下游管容")
    private String downstreamManagementCapacity;

    @XText("说明")
    private String remake;

    @XText("附件")
    private String fileKey;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("数据填报时间")
    private Date dataDate;

    @XText("备用字段1")
    private String alternateFieldsOne;

    @XText("备用字段2")
    private String alternateFieldsTwo;

    @XText("备用字段3")
    @TableField
    private String alternateFieldsThree;

    public String getAlternateFieldsThree() {
        return alternateFieldsThree;
    }

    public void setAlternateFieldsThree(String alternateFieldsThree) {
        this.alternateFieldsThree = alternateFieldsThree;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMOuId() {
        return this.mOuId;
    }

    public void setMOuId(String value) {
        this.mOuId = value;
    }

    public String getMOuName() {
        return this.mOuName;
    }

    public void setMOuName(String value) {
        this.mOuName = value;
    }

    public String getTelephone() {
        return this.telephone;
    }

    public void setTelephone(String value) {
        this.telephone = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getStationReferredToAs() {
        return this.stationReferredToAs;
    }

    public void setStationReferredToAs(String value) {
        this.stationReferredToAs = value;
    }

    public String getStationTypeId() {
        return this.stationTypeId;
    }

    public void setStationTypeId(String value) {
        this.stationTypeId = value;
    }

    public String getStationTypeName() {
        return this.stationTypeName;
    }

    public void setStationTypeName(String value) {
        this.stationTypeName = value;
    }

    public String getProvinceId() {
        return this.provinceId;
    }

    public void setProvinceId(String value) {
        this.provinceId = value;
    }

    public String getProvinceName() {
        return this.provinceName;
    }

    public void setProvinceName(String value) {
        this.provinceName = value;
    }

    public String getAffiliatedUnitId() {
        return this.affiliatedUnitId;
    }

    public void setAffiliatedUnitId(String value) {
        this.affiliatedUnitId = value;
    }

    public String getAffiliatedUnitName() {
        return this.affiliatedUnitName;
    }

    public void setAffiliatedUnitName(String value) {
        this.affiliatedUnitName = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getUpstreamStationId() {
        return this.upstreamStationId;
    }

    public void setUpstreamStationId(String value) {
        this.upstreamStationId = value;
    }

    public String getUpstreamStationName() {
        return this.upstreamStationName;
    }

    public void setUpstreamStationName(String value) {
        this.upstreamStationName = value;
    }

    public String getDownstreamStationId() {
        return this.downstreamStationId;
    }

    public void setDownstreamStationId(String value) {
        this.downstreamStationId = value;
    }

    public String getDownstreamStationName() {
        return this.downstreamStationName;
    }

    public void setDownstreamStationName(String value) {
        this.downstreamStationName = value;
    }

    public String getUpstreamSpacing() {
        return this.upstreamSpacing;
    }

    public void setUpstreamSpacing(String value) {
        this.upstreamSpacing = value;
    }

    public String getDownstreamSpacing() {
        return this.downstreamSpacing;
    }

    public void setDownstreamSpacing(String value) {
        this.downstreamSpacing = value;
    }

    public String getUpstreamManagementCapacity() {
        return this.upstreamManagementCapacity;
    }

    public void setUpstreamManagementCapacity(String value) {
        this.upstreamManagementCapacity = value;
    }

    public String getDownstreamManagementCapacity() {
        return this.downstreamManagementCapacity;
    }

    public void setDownstreamManagementCapacity(String value) {
        this.downstreamManagementCapacity = value;
    }

    public String getRemake() {
        return this.remake;
    }

    public void setRemake(String value) {
        this.remake = value;
    }

    public String getFileKey() {
        return this.fileKey;
    }

    public void setFileKey(String value) {
        this.fileKey = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Date getDataDate() {
        return this.dataDate;
    }

    public void setDataDate(Date value) {
        this.dataDate = value;
    }

    public String getAlternateFieldsOne() {
        return this.alternateFieldsOne;
    }

    public void setAlternateFieldsOne(String value) {
        this.alternateFieldsOne = value;
    }

    public String getAlternateFieldsTwo() {
        return this.alternateFieldsTwo;
    }

    public void setAlternateFieldsTwo(String value) {
        this.alternateFieldsTwo = value;
    }

}
