package pps.core.system.service.data.operation_maintenance_user;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class GetOperationMaintenanceUserInput {
    @XText("id")
    private String id;

    @XText("申请人姓名")
    private String applicantName;

    @XText("申请人电话")
    private String applicantPhone;

    @XText("组织机构id")
    private String mOuId;

    @XText("组织机构名称")
    private String mOuName;

    @XText("与谁账号一致id")
    private String accountConsistentId;

    @XText("与谁账号一致名字")
    private String accountConsistentName;

    @XText("账户权限")
    private String accountPermissions;

    @XText("附件")
    private String fileKey;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("数据填报时间")
    private Date dataDate;

    @XText("备用字段1")
    private String alternateFieldsOne;

    @XText("备用字段2")
    private String alternateFieldsTwo;

    @XText("备用字段3")
    @TableField
    private String alternateFieldsThree;

    public String getAlternateFieldsThree() {
        return alternateFieldsThree;
    }

    public void setAlternateFieldsThree(String alternateFieldsThree) {
        this.alternateFieldsThree = alternateFieldsThree;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getApplicantName() {
        return this.applicantName;
    }

    public void setApplicantName(String value) {
        this.applicantName = value;
    }

    public String getApplicantPhone() {
        return this.applicantPhone;
    }

    public void setApplicantPhone(String value) {
        this.applicantPhone = value;
    }

    public String getMOuId() {
        return this.mOuId;
    }

    public void setMOuId(String value) {
        this.mOuId = value;
    }

    public String getMOuName() {
        return this.mOuName;
    }

    public void setMOuName(String value) {
        this.mOuName = value;
    }

    public String getAccountConsistentId() {
        return this.accountConsistentId;
    }

    public void setAccountConsistentId(String value) {
        this.accountConsistentId = value;
    }

    public String getAccountConsistentName() {
        return this.accountConsistentName;
    }

    public void setAccountConsistentName(String value) {
        this.accountConsistentName = value;
    }

    public String getAccountPermissions() {
        return this.accountPermissions;
    }

    public void setAccountPermissions(String value) {
        this.accountPermissions = value;
    }

    public String getFileKey() {
        return this.fileKey;
    }

    public void setFileKey(String value) {
        this.fileKey = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Date getDataDate() {
        return this.dataDate;
    }

    public void setDataDate(Date value) {
        this.dataDate = value;
    }

    public String getAlternateFieldsOne() {
        return this.alternateFieldsOne;
    }

    public void setAlternateFieldsOne(String value) {
        this.alternateFieldsOne = value;
    }

    public String getAlternateFieldsTwo() {
        return this.alternateFieldsTwo;
    }

    public void setAlternateFieldsTwo(String value) {
        this.alternateFieldsTwo = value;
    }

}
