package pps.core.system.service.data.operation_maintenance_user_information;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class CreateOperationMaintenanceUserInformationInput {
    @XText("uuid")
    private String id;

    @XText("新增账号申请(关联id)")
    private String accountNumberId;

    @XText("组织机构id")
    private String mOuId;

    @XText("组织机构名称")
    private String mOuName;

    @XText("管线id")
    private String pipelineId;

    @XText("管线名称")
    private String pipelineName;

    @XText("登录账号")
    private String loginAccount;

    @XText("Iam登录账号")
    private String loginAccountIam;

    @XText("场站id")
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("员工编号")
    private String employeeNumber;

    @XText("用户姓名")
    private String userName;

    @XText("登录密码")
    private String userPassword;

    @XText("是否删除(0是已删除,1是正常)")
    private Integer isDeleted;

    @XText("是否内网(0是否,1是正常)")
    private Integer intranet;

    @XText("是否外网(0是否,1是正常)")
    private Integer externalNetwork;

    @XText("职务id")
    private String dutiesId;

    @XText("职务名称")
    private String dutiesName;

    @XText("邮编")
    private String zipCode;

    @XText("手机号")
    private String mobilePhone;

    @XText("用户邮箱")
    private String mailbox;

    @XText("通讯地址")
    private String mailAddress;

    @XText("备用字段1")
    private String alternateFieldsOne;

    @XText("备用字段2")
    private String alternateFieldsTow;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("数据填报时间")
    private Date dataDate;

    @XText("所属单位id")
    private String affiliatedUnitId;

    @XText("所属单位名字")
    private String affiliatedUnitName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getAccountNumberId() {
        return this.accountNumberId;
    }

    public void setAccountNumberId(String value) {
        this.accountNumberId = value;
    }

    public String getMOuId() {
        return this.mOuId;
    }

    public void setMOuId(String value) {
        this.mOuId = value;
    }

    public String getMOuName() {
        return this.mOuName;
    }

    public void setMOuName(String value) {
        this.mOuName = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getLoginAccount() {
        return this.loginAccount;
    }

    public void setLoginAccount(String value) {
        this.loginAccount = value;
    }

    public String getLoginAccountIam() {
        return this.loginAccountIam;
    }

    public void setLoginAccountIam(String value) {
        this.loginAccountIam = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getEmployeeNumber() {
        return this.employeeNumber;
    }

    public void setEmployeeNumber(String value) {
        this.employeeNumber = value;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String value) {
        this.userName = value;
    }

    public String getUserPassword() {
        return this.userPassword;
    }

    public void setUserPassword(String value) {
        this.userPassword = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public Integer getIntranet() {
        return this.intranet;
    }

    public void setIntranet(Integer value) {
        this.intranet = value;
    }

    public Integer getExternalNetwork() {
        return this.externalNetwork;
    }

    public void setExternalNetwork(Integer value) {
        this.externalNetwork = value;
    }

    public String getDutiesId() {
        return this.dutiesId;
    }

    public void setDutiesId(String value) {
        this.dutiesId = value;
    }

    public String getDutiesName() {
        return this.dutiesName;
    }

    public void setDutiesName(String value) {
        this.dutiesName = value;
    }

    public String getZipCode() {
        return this.zipCode;
    }

    public void setZipCode(String value) {
        this.zipCode = value;
    }

    public String getMobilePhone() {
        return this.mobilePhone;
    }

    public void setMobilePhone(String value) {
        this.mobilePhone = value;
    }

    public String getMailbox() {
        return this.mailbox;
    }

    public void setMailbox(String value) {
        this.mailbox = value;
    }

    public String getMailAddress() {
        return this.mailAddress;
    }

    public void setMailAddress(String value) {
        this.mailAddress = value;
    }

    public String getAlternateFieldsOne() {
        return this.alternateFieldsOne;
    }

    public void setAlternateFieldsOne(String value) {
        this.alternateFieldsOne = value;
    }

    public String getAlternateFieldsTow() {
        return this.alternateFieldsTow;
    }

    public void setAlternateFieldsTow(String value) {
        this.alternateFieldsTow = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Date getDataDate() {
        return this.dataDate;
    }

    public void setDataDate(Date value) {
        this.dataDate = value;
    }

    public String getAffiliatedUnitId() {
        return this.affiliatedUnitId;
    }

    public void setAffiliatedUnitId(String value) {
        this.affiliatedUnitId = value;
    }

    public String getAffiliatedUnitName() {
        return this.affiliatedUnitName;
    }

    public void setAffiliatedUnitName(String value) {
        this.affiliatedUnitName = value;
    }

}
