package pps.core.system.service.data.sys_inform;

import com.google.common.collect.Lists;
import pps.core.system.constant.SysInformHandleTypeConstant;
import pps.core.system.constant.SysInformReceiveTypeConstant;

import java.util.HashMap;
import java.util.List;

public class SysInformData {
    //操作状态
    public static List<SysInformHandleTypeConstant> HANDLETYPES = Lists.newArrayList(
            //SysInformHandleTypeConstant.HAND_WORK,
            SysInformHandleTypeConstant.SAVE,
            SysInformHandleTypeConstant.RESET,
            SysInformHandleTypeConstant.COMMIT,
            SysInformHandleTypeConstant.BACK,
            SysInformHandleTypeConstant.PASS,
            SysInformHandleTypeConstant.CHANGE,
            SysInformHandleTypeConstant.PASS_CHAGNE,
            SysInformHandleTypeConstant.REFUSE_CHANGE);
    //接收方式
    public static List<SysInformReceiveTypeConstant> RECEIVETYPES = Lists.newArrayList(
            SysInformReceiveTypeConstant.USER,
            SysInformReceiveTypeConstant.GROUP,
            SysInformReceiveTypeConstant.ROLE,
            SysInformReceiveTypeConstant.ORG,
            SysInformReceiveTypeConstant.ORG_CHILD,
            SysInformReceiveTypeConstant.ROLE_BJDW,
            SysInformReceiveTypeConstant.ROLE_EJDW,
            SysInformReceiveTypeConstant.ROLE_SSQY,
            SysInformReceiveTypeConstant.ROLE_CCGC,
            SysInformReceiveTypeConstant.ROLE_QB
            );

    public List<SysInformReceiveTypeConstant> getReceiveTypsSetting() {
        return RECEIVETYPES;
    }

    public List<SysInformHandleTypeConstant> getHandleTypsSetting() {
        return HANDLETYPES;
    }
}
