package pps.core.system.service.data.sys_inform;

import com.baomidou.mybatisplus.annotation.TableField;
import pps.core.system.service.data.sys_inform_receive_type.GetSysInformReceiveTypeInput;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class UpdateSysInformListInput {
    @XText("主键")
    private String id;

    @XText("标题")
    private String title;

    @XText("内容")
    private String msg;

    @XText("组织机构id")
    private String ouId;

    @XText("组织机构名称")
    private String ouName;

    @XText("用户id")
    private String userId;

    @XText("用户名称")
    private String userName;

    @XText("发送类型（0自动1手动）")
    private Integer sendType;

    @XText("是否系统消息（0是1否）")
    private Integer systemMsg;

    @XText("是否短信（0是1否）")
    private Integer mobileMsg;

    @XText("接收方式数组")
    private List<GetSysInformReceiveTypeInput> receiveTypeList;

    @XText("有效期")
    private Integer effectiveDays;

    @XText("附件id")
    private List<String> fileKeyList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public Integer getSystemMsg() {
        return systemMsg;
    }

    public void setSystemMsg(Integer systemMsg) {
        this.systemMsg = systemMsg;
    }

    public Integer getMobileMsg() {
        return mobileMsg;
    }

    public void setMobileMsg(Integer mobileMsg) {
        this.mobileMsg = mobileMsg;
    }

    public List<GetSysInformReceiveTypeInput> getReceiveTypeList() {
        return receiveTypeList;
    }

    public void setReceiveTypeList(List<GetSysInformReceiveTypeInput> receiveTypeList) {
        this.receiveTypeList = receiveTypeList;
    }

    public Integer getEffectiveDays() {
        return effectiveDays;
    }

    public void setEffectiveDays(Integer effectiveDays) {
        this.effectiveDays = effectiveDays;
    }

    public List<String> getFileKeyList() {
        return fileKeyList;
    }

    public void setFileKeyList(List<String> fileKeyList) {
        this.fileKeyList = fileKeyList;
    }
}
