package pps.core.system.service.data.sys_inform_template_receive_type;

import pps.core.system.service.data.sys_inform_template_receive_type_detail.CreateSysInformTemplateReceiveTypeDetailInput;
import pps.core.system.service.data.sys_inform_template_receive_type_detail.GetSysInformTemplateReceiveTypeDetailOutput;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

public class GetSysInformTemplateReceiveTypeOutput {
    private String id;

    @XText("消息通知模版id")
    private String informOperateTemplateId;

    @XText("接收方式类型（7种）")
    private Integer recieveType;

    @XText("接收方式类型名称")
    private String recieveTypeName;

    @XText("接收方（多选）")
    private List<GetSysInformTemplateReceiveTypeDetailOutput> receiveTypeDetailList;

    public List<GetSysInformTemplateReceiveTypeDetailOutput> getReceiveTypeDetailList() {
        return receiveTypeDetailList;
    }

    public void setReceiveTypeDetailList(List<GetSysInformTemplateReceiveTypeDetailOutput> receiveTypeDetailList) {
        this.receiveTypeDetailList = receiveTypeDetailList;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getInformOperateTemplateId() {
        return this.informOperateTemplateId;
    }

    public void setInformOperateTemplateId(String value) {
        this.informOperateTemplateId = value;
    }

    public Integer getRecieveType() {
        return this.recieveType;
    }

    public void setRecieveType(Integer value) {
        this.recieveType = value;
    }

    public String getRecieveTypeName() {
        return this.recieveTypeName;
    }

    public void setRecieveTypeName(String value) {
        this.recieveTypeName = value;
    }

}
