package pps.core.system.service.data.sys_login;

import jakarta.validation.constraints.NotBlank;
import xstartup.annotation.XText;

public class LoginByAccountInput {
    @XText("账号")
    @NotBlank
    private String loginName;

    @XText("密码")
    @NotBlank
    private String password;

    @XText("验证码")
//    @NotBlank
    private String code;

    @XText("验证码标识")
//    @NotBlank
    private String codeIden;

    @XText("短信验证码")
//    @NotBlank
    private String smsCode;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodeIden() {
        return codeIden;
    }

    public void setCodeIden(String codeIden) {
        this.codeIden = codeIden;
    }

    public String getSmsCode() {
        return smsCode;
    }

    public void setSmsCode(String smsCode) {
        this.smsCode = smsCode;
    }
}
