package pps.core.system.service.data.sys_login;

import jakarta.validation.constraints.NotBlank;
import xstartup.annotation.XText;

public class SendMessageInput {
    @XText("手机号，多个逗号连接")
    @NotBlank
    private String phoneStr;

    @XText("消息内容")
    @NotBlank
    private String smsContent;

    @XText("消息校验码")
    @NotBlank
    private String code;

    @XText("验证码标识")
    @NotBlank
    private String codeIden;

    public String getPhoneStr() {
        return phoneStr;
    }

    public void setPhoneStr(String phoneStr) {
        this.phoneStr = phoneStr;
    }

    public String getSmsContent() {
        return smsContent;
    }

    public void setSmsContent(String smsContent) {
        this.smsContent = smsContent;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodeIden() {
        return codeIden;
    }

    public void setCodeIden(String codeIden) {
        this.codeIden = codeIden;
    }
}
