package pps.core.system.service.data.sys_out_user_create_log;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.util.Date;

@Data
public class QuerySysOutUserCreateLogViewOutput extends XPageInput {
    @XText("主键")
    private String id;

    @XText("组织机构层级")
    private String ouLevel;

    @XText("组织机构层级")
    private String ouLevelName;

    @XText("客户id")
    private String clientId;

    @XText("客户名称")
    private String clientName;

    @XText("组织机构id")
    private String ouId;

    @XText("组织机构名称")
    private String ouName;

    @XText("登录名")
    private String loginName;

    @XText("IAM接口登录名称")
    private String iamLoginName;

    @XText("员工编号")
    private String userCode;

    @XText("用户姓名")
    private String userName;

    @XText("用户密码，客户类使用此字段，内网用户不使用")
    private String password;

    @XText("是否外网访问：1是 2否")
    private String isOuter;

    @XText("是否内网访问：1是 2否")
    private String isInner;

    @XText("职务-系统字典")
    private String duty;

    @XText("电话")
    private String phone;

    @XText("用户邮箱")
    private String email;

    @XText("邮编")
    private String postalCode;

    @XText("地址")
    private String address;

    @XText("信息")
    private String msg;

    @XText("角色用户id-iam账户")
    private String userId;

    @XText("状态：0保存、1通过、2驳回")
    private Integer status;

    @XText("删除状态（0删除  1正常）")
    private Integer isDelete;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    private String startDataDate;

    private String endDataDate;

    @XText("介质")
    private String mediumList;

    @XText("介质")
    private String mediumListName;
}
