package pps.cloud.base.service.data;

import xstartup.annotation.XText;

import java.util.Date;

public class GetOuByStationIdOutput {
    @XText("主键")
    private String id;

    @XText("用户ID")
    private String userId;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构编码")
    private String ouCode;

    @XText("组织机构名称")
    private String ouName;

    @XText("简称")
    private String shortName;


    @XText("场站id")
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("场站编码")
    private String stationCode;

    @XText("单位级别（从系统字典中来）")
    private String ouLevel;

    @XText("描述")
    private String description;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("邮编")
    private String postCode;

    @XText("地址")
    private String postAddress;

    @XText("传真")
    private String faxNo;

    @XText("电话")
    private String phone;

    @XText("国家")
    private String country;

    @XText("省份")
    private Integer province;

    @XText("业务日期")
    private String formDate;

    @XText("表单配置定义id")
    private String formConfigId;

    @XText("数据状态(应用枚举)：1暂存，2已提交，3填报流程中，4填报流程完成，5填报流程退回，6变更流程中，7变更流程完成。")
    private String formStatus0;
    private String formStatus1;
    private String formStatus2;
    private String formStatus3;
    private String formStatus4;
    private String formStatus5;
    private String formStatus6;

    @XText("父级组织机构id")
    private String parentOuId;
    @XText("父级组织机构名称")
    private String partentName;

    @XText("组织机构路径")
    private String ouPath;

    @XText("组织机构路径")
    private String mediumType;

    public String getFormConfigId() {
        return formConfigId;
    }

    public void setFormConfigId(String formConfigId) {
        this.formConfigId = formConfigId;
    }

    public String getFormStatus0() {
        return formStatus0;
    }

    public void setFormStatus0(String formStatus0) {
        this.formStatus0 = formStatus0;
    }

    public String getFormStatus1() {
        return formStatus1;
    }

    public void setFormStatus1(String formStatus1) {
        this.formStatus1 = formStatus1;
    }

    public String getFormStatus2() {
        return formStatus2;
    }

    public void setFormStatus2(String formStatus2) {
        this.formStatus2 = formStatus2;
    }

    public String getFormStatus3() {
        return formStatus3;
    }

    public void setFormStatus3(String formStatus3) {
        this.formStatus3 = formStatus3;
    }

    public String getFormStatus4() {
        return formStatus4;
    }

    public void setFormStatus4(String formStatus4) {
        this.formStatus4 = formStatus4;
    }

    public String getFormStatus5() {
        return formStatus5;
    }

    public void setFormStatus5(String formStatus5) {
        this.formStatus5 = formStatus5;
    }

    public String getFormStatus6() {
        return formStatus6;
    }

    public void setFormStatus6(String formStatus6) {
        this.formStatus6 = formStatus6;
    }

    public String getFormDate() {
        return formDate;
    }

    public void setFormDate(String formDate) {
        this.formDate = formDate;
    }


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuCode() {
        return this.ouCode;
    }

    public void setOuCode(String value) {
        this.ouCode = value;
    }

    public String getOuName() {
        return this.ouName;
    }

    public void setOuName(String value) {
        this.ouName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getOuLevel() {
        return this.ouLevel;
    }

    public void setOuLevel(String value) {
        this.ouLevel = value;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getPostCode() {
        return this.postCode;
    }

    public void setPostCode(String value) {
        this.postCode = value;
    }

    public String getPostAddress() {
        return this.postAddress;
    }

    public void setPostAddress(String value) {
        this.postAddress = value;
    }

    public String getFaxNo() {
        return this.faxNo;
    }

    public void setFaxNo(String value) {
        this.faxNo = value;
    }

    public String getPhone() {
        return this.phone;
    }

    public void setPhone(String value) {
        this.phone = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public Integer getProvince() {
        return this.province;
    }

    public void setProvince(Integer value) {
        this.province = value;
    }

    public String getOuPath() {
        return ouPath;
    }

    public void setOuPath(String ouPath) {
        this.ouPath = ouPath;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getParentOuId() {
        return parentOuId;
    }

    public void setParentOuId(String parentOuId) {
        this.parentOuId = parentOuId;
    }

    public String getPartentName() {
        return partentName;
    }

    public void setPartentName(String partentName) {
        this.partentName = partentName;
    }

    public String getMediumType() {
        return mediumType;
    }

    public void setMediumType(String mediumType) {
        this.mediumType = mediumType;
    }
}
