package pps.cloud.base.service.data.base_equipment;

import xstartup.annotation.XText;

import java.util.Date;

public class GetBaseEquipmentOutput {
    @XText("主键")
    private String id;

    @XText("设备定义id")
    private String equipmentTemplateId;

    @XText("所属组织机构id")
    private String ouid;

    @XText("设备归属场站id")
    private String stationId;

    @XText("设备关联管段id")
    private String segmentId;

    @XText("设备类型(字典)")
    private String equipmentType;

    @XText("设备类型(字典)值")
    private String equipmentTypeName;

    @XText("设备名称")
    private String equipmentName;

    @XText("能耗单位")
    private String energyUnit;

    @XText("设备编码")
    private String equipmentCode;

    @XText("描述")
    private String description;

    @XText("生效时间")
    private Date effectTime;

    @XText("失效时间")
    private Date endTime;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("设备状态")
    private Integer equipmentStatus;

    @XText("属性名称")
    private String propertyName;

    @XText("属性英文名称")
    private String propertyNameEn;

    @XText("属性值")
    private String propertyValue;

    @XText("设备归属场站名称")
    private String stationName;

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getPropertyNameEn() {
        return propertyNameEn;
    }

    public void setPropertyNameEn(String propertyNameEn) {
        this.propertyNameEn = propertyNameEn;
    }

    public String getPropertyValue() {
        return propertyValue;
    }

    public void setPropertyValue(String propertyValue) {
        this.propertyValue = propertyValue;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getEquipmentTemplateId() {
        return this.equipmentTemplateId;
    }

    public void setEquipmentTemplateId(String value) {
        this.equipmentTemplateId = value;
    }

    public String getOuid() {
        return this.ouid;
    }

    public void setOuid(String value) {
        this.ouid = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getSegmentId() {
        return this.segmentId;
    }

    public void setSegmentId(String value) {
        this.segmentId = value;
    }

    public String getEquipmentType() {
        return this.equipmentType;
    }

    public void setEquipmentType(String value) {
        this.equipmentType = value;
    }

    public String getEquipmentName() {
        return this.equipmentName;
    }

    public void setEquipmentName(String value) {
        this.equipmentName = value;
    }

    public String getEquipmentCode() {
        return this.equipmentCode;
    }

    public void setEquipmentCode(String value) {
        this.equipmentCode = value;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Integer getEquipmentStatus() {
        return equipmentStatus;
    }

    public void setEquipmentStatus(Integer equipmentStatus) {
        this.equipmentStatus = equipmentStatus;
    }

    public String getEnergyUnit() {
        return energyUnit;
    }

    public void setEnergyUnit(String energyUnit) {
        this.energyUnit = energyUnit;
    }

    public String getEquipmentTypeName() {
        return equipmentTypeName;
    }

    public void setEquipmentTypeName(String equipmentTypeName) {
        this.equipmentTypeName = equipmentTypeName;
    }
}
