package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseEnt;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 输电线路柴发设备配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@TableName("base_power_line_diesel")
public class BasePowerLineDieselEnt extends BaseEnt implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("柴发设备ID")
    @TableField
    private String dieselId;

    @XText("组织机构ID")
    @TableField
    private String ouId;
}
