package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("base_project_info")
public class BaseProjectInfoEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("项目名称")
    @TableField
    private String projectName;

    @XText("装机容量")
    @TableField
    private BigDecimal installCapacity;

    @XText("阵列倾角")
    @TableField
    private BigDecimal arrayIncidence;

    @XText("阵列朝向")
    @TableField
    private BigDecimal arrayToward;

    @TableField
    private String productionYear;

    @TableField
    private String serviceLength;

    @XText("经度")
    @TableField
    private BigDecimal longitude;

    @XText("纬度")
    @TableField
    private BigDecimal latitude;

    @XText("高程")
    @TableField
    private BigDecimal elevation;


    @XText("地区")
    @TableField
    private String province;


    @XText("是否删除")
    @TableField
    private Integer isDeleted;

    @TableField
    private String createById;

    @TableField
    private String createByName;

    @TableField
    private Date createTime;

    @TableField
    private String modifyById;

    @TableField
    private String modifyByName;

    @TableField
    private Date modifyTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigDecimal getInstallCapacity() {
        return installCapacity;
    }

    public void setInstallCapacity(BigDecimal installCapacity) {
        this.installCapacity = installCapacity;
    }

    public BigDecimal getArrayIncidence() {
        return arrayIncidence;
    }

    public void setArrayIncidence(BigDecimal arrayIncidence) {
        this.arrayIncidence = arrayIncidence;
    }

    public BigDecimal getArrayToward() {
        return arrayToward;
    }

    public void setArrayToward(BigDecimal arrayToward) {
        this.arrayToward = arrayToward;
    }

    public String getProductionYear() {
        return productionYear;
    }

    public void setProductionYear(String productionYear) {
        this.productionYear = productionYear;
    }

    public String getServiceLength() {
        return serviceLength;
    }

    public void setServiceLength(String serviceLength) {
        this.serviceLength = serviceLength;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getElevation() {
        return elevation;
    }

    public void setElevation(BigDecimal elevation) {
        this.elevation = elevation;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}
