package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

public class BaseSegmentPipelineTransferRelView implements Serializable {
    @XText("场站转供关系id(主键)")
    @TableField
    private String id;

    @XText("管段ID")
    @TableField
    private String segmentId;

    @XText("开始场站ID")
    @TableField
    private String startStationId;

    @XText("结束场站ID")
    @TableField
    private String endStationId;

    @XText("开始管线ID")
    @TableField
    private String startPipelineId;

    @XText("结束管线ID")
    @TableField
    private String endPipelineId;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("结束时间")
    @TableField
    private Date endTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getSegmentId() {
        return this.segmentId;
    }

    public void setSegmentId(String value) {
        this.segmentId = value;
    }

    public String getStartStationId() {
        return this.startStationId;
    }

    public void setStartStationId(String value) {
        this.startStationId = value;
    }

    public String getEndStationId() {
        return this.endStationId;
    }

    public void setEndStationId(String value) {
        this.endStationId = value;
    }

    public String getStartPipelineId() {
        return this.startPipelineId;
    }

    public void setStartPipelineId(String value) {
        this.startPipelineId = value;
    }

    public String getEndPipelineId() {
        return this.endPipelineId;
    }

    public void setEndPipelineId(String value) {
        this.endPipelineId = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
