package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("scada_environment_info")
public class ScadaEnvironmentInfoEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("环境名称")
    @TableField
    private String environmentInfoName;

    @XText("ip地址")
    @TableField
    private String ipAddress;

    @XText("用户名")
    @TableField
    private String userName;

    @XText("密码")
    @TableField
    private String pwd;

    @XText("keys")
    @TableField
    private String keys;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("端口")
    @TableField
    private String port;

    @XText("协议")
    @TableField
    private String agreement;

    @XText("类型")
    @TableField
    private String type;

    @XText("h环境类型")
    @TableField
    private String enType;

    @XText("客户端ip")
    @TableField
    private String clientIp;

    @XText("客户端端口")
    @TableField
    private String clientPort;

    @XText("排序")
    @TableField
    private Integer sort;

    public Integer getSort(){return sort;}

    public void setSort(Integer sort){this.sort=sort;}

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getEnType() {
        return enType;
    }

    public void setEnType(String enType) {
        this.enType = enType;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getClientPort() {
        return clientPort;
    }

    public void setClientPort(String clientPort) {
        this.clientPort = clientPort;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getEnvironmentInfoName() {
        return this.environmentInfoName;
    }

    public void setEnvironmentInfoName(String value) {
        this.environmentInfoName = value;
    }

    public String getIpAddress() {
        return this.ipAddress;
    }

    public void setIpAddress(String value) {
        this.ipAddress = value;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String value) {
        this.userName = value;
    }

    public String getPwd() {
        return this.pwd;
    }

    public void setPwd(String value) {
        this.pwd = value;
    }

    public String getKeys() {
        return this.keys;
    }

    public void setKeys(String value) {
        this.keys = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public String getPort() {
        return this.port;
    }

    public void setPort(String value) {
        this.port = value;
    }

    public String getAgreement() {
        return this.agreement;
    }

    public void setAgreement(String value) {
        this.agreement = value;
    }

}
