package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class ScadaGatherBoxRelDetailView implements Serializable {
    @XText("主键")
    @TableField
    private String id;

    @XText("scada采集模型关系配置主键")
    @TableField
    private String scadaGatherBoxRelId;

    @XText("来源表字段 ")
    @TableField
    private String tableColumn;

    @XText("来源表字段描述")
    @TableField
    private String tableColumnDescription;

    @XText("默认值表字段")
    @TableField
    private String defultColumn;

    @XText("字段类型")
    @TableField
    private Integer boxDetailType;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("查看展示")
    @TableField
    private Boolean checkShow;

    @XText("排序序号")
    @TableField
    private Integer sort;

    @XText("列宽")
    @TableField
    private Integer columnWidth;

    public Boolean getCheckShow() {
        return checkShow;
    }

    public void setCheckShow(Boolean checkShow) {
        this.checkShow = checkShow;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getColumnWidth() {
        return columnWidth;
    }

    public void setColumnWidth(Integer columnWidth) {
        this.columnWidth = columnWidth;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getScadaGatherBoxRelId() {
        return this.scadaGatherBoxRelId;
    }

    public void setScadaGatherBoxRelId(String value) {
        this.scadaGatherBoxRelId = value;
    }

    public String getTableColumn() {
        return this.tableColumn;
    }

    public void setTableColumn(String value) {
        this.tableColumn = value;
    }

    public String getTableColumnDescription() {
        return this.tableColumnDescription;
    }

    public void setTableColumnDescription(String value) {
        this.tableColumnDescription = value;
    }

    public String getDefultColumn() {
        return this.defultColumn;
    }

    public void setDefultColumn(String value) {
        this.defultColumn = value;
    }

    public Integer getBoxDetailType() {
        return this.boxDetailType;
    }

    public void setBoxDetailType(Integer value) {
        this.boxDetailType = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
