package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("scada_gather_manual_conf")
public class ScadaGatherManualConfEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("数据项管理组织机构id")
    @TableField
    private String mOuId;

    @XText("数据项管理组织机构名称")
    @TableField
    private String mOuName;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("管段id")
    @TableField
    private String segmentId;

    @XText("管段名称")
    @TableField
    private String segmentName;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("客户id")
    @TableField
    private String customerId;

    @XText("客户名称")
    @TableField
    private String customerName;

    @XText("设备id")
    @TableField
    private String equipmentId;

    @XText("设备名称")
    @TableField
    private String equipmentName;

    @XText("设备类型")
    @TableField
    private String equipmentTypeId;

    @XText("设备类型描述")
    @TableField
    private String equipmentTypeName;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("scada环境标识")
    @TableField
    private String scadaEnvironmentInfoId;

    @XText("出口压力scada点号")
    @TableField
    private String outPressureScada;

    @XText("出口温度scada点号")
    @TableField
    private String outTemperatureScada;

    @XText("工况密度scada点号")
    @TableField
    private String workingDensityScada;

    @XText("瞬时流量scada点号")
    @TableField
    private String instantFlowScada;

    @TableField
    private String createById;

    @TableField
    private String createByName;

    @TableField
    private Date createTime;

    @TableField
    private String modifyById;

    @TableField
    private String modifyByName;

    @TableField
    private Date modifyTime;

    @XText("scada采集模型关系配置id")
    @TableField
    private String scadaGatherBoxId;

    @XText("scada采集模型关系配置主键")
    @TableField
    private String scadaGatherBoxRelId;

    @XText("config行数据主键")
    @TableField
    private String configColumnId;

    @XText("Scada点号")
    @TableField
    private String scadaTag;

    @XText("Scada采集列")
    @TableField
    private String scadaColumn;

    public String getScadaGatherBoxId() {
        return scadaGatherBoxId;
    }

    public void setScadaGatherBoxId(String scadaGatherBoxId) {
        this.scadaGatherBoxId = scadaGatherBoxId;
    }

    public String getScadaGatherBoxRelId() {
        return scadaGatherBoxRelId;
    }

    public void setScadaGatherBoxRelId(String scadaGatherBoxRelId) {
        this.scadaGatherBoxRelId = scadaGatherBoxRelId;
    }

    public String getConfigColumnId() {
        return configColumnId;
    }

    public void setConfigColumnId(String configColumnId) {
        this.configColumnId = configColumnId;
    }

    public String getScadaTag() {
        return scadaTag;
    }

    public void setScadaTag(String scadaTag) {
        this.scadaTag = scadaTag;
    }

    public String getScadaColumn() {
        return scadaColumn;
    }

    public void setScadaColumn(String scadaColumn) {
        this.scadaColumn = scadaColumn;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMOuId() {
        return this.mOuId;
    }

    public void setMOuId(String value) {
        this.mOuId = value;
    }

    public String getMOuName() {
        return this.mOuName;
    }

    public void setMOuName(String value) {
        this.mOuName = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getSegmentId() {
        return this.segmentId;
    }

    public void setSegmentId(String value) {
        this.segmentId = value;
    }

    public String getSegmentName() {
        return this.segmentName;
    }

    public void setSegmentName(String value) {
        this.segmentName = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getCustomerId() {
        return this.customerId;
    }

    public void setCustomerId(String value) {
        this.customerId = value;
    }

    public String getCustomerName() {
        return this.customerName;
    }

    public void setCustomerName(String value) {
        this.customerName = value;
    }

    public String getEquipmentId() {
        return this.equipmentId;
    }

    public void setEquipmentId(String value) {
        this.equipmentId = value;
    }

    public String getEquipmentName() {
        return this.equipmentName;
    }

    public void setEquipmentName(String value) {
        this.equipmentName = value;
    }

    public String getEquipmentTypeId() {
        return this.equipmentTypeId;
    }

    public void setEquipmentTypeId(String value) {
        this.equipmentTypeId = value;
    }

    public String getEquipmentTypeName() {
        return this.equipmentTypeName;
    }

    public void setEquipmentTypeName(String value) {
        this.equipmentTypeName = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public String getScadaEnvironmentInfoId() {
        return this.scadaEnvironmentInfoId;
    }

    public void setScadaEnvironmentInfoId(String value) {
        this.scadaEnvironmentInfoId = value;
    }

    public String getOutPressureScada() {
        return this.outPressureScada;
    }

    public void setOutPressureScada(String value) {
        this.outPressureScada = value;
    }

    public String getOutTemperatureScada() {
        return this.outTemperatureScada;
    }

    public void setOutTemperatureScada(String value) {
        this.outTemperatureScada = value;
    }

    public String getWorkingDensityScada() {
        return this.workingDensityScada;
    }

    public void setWorkingDensityScada(String value) {
        this.workingDensityScada = value;
    }

    public String getInstantFlowScada() {
        return this.instantFlowScada;
    }

    public void setInstantFlowScada(String value) {
        this.instantFlowScada = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
