package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Title： [标题]日志实体
 * @Description: [功能描述]
 * @author：lyy
 */
@Data
@TableName("scada_log")
public class ScadaLogEnt {

    public ScadaLogEnt(String mothedName, String msg, String exeResult){
        this.mothedName = mothedName;
        this.message = msg;
        this.exeResult = exeResult;
    }

    public ScadaLogEnt(){

    }

    @TableId(type = IdType.ASSIGN_UUID)
    @TableField("id")
    private String id;

    @TableField("module_name")
    private String  moduleName;

    @TableField("mothed_name")
    private String mothedName;

    @TableField("message")
    private String message;

    public ScadaLogEnt(String id, String moduleName, String mothedName, String message, String exeResult, Date createTime, String tag, String tag1, String exeDuration) {
        this.id = id;
        this.moduleName = moduleName;
        this.mothedName = mothedName;
        this.message = message;
        this.exeResult = exeResult;
        this.createTime = createTime;
        this.tag = tag;
        this.tag1 = tag1;
        this.exeDuration = exeDuration;
    }

    @TableField("exe_result")
    private String exeResult;

    @TableField("exe_duration")
    private String exeDuration;

    @TableField("create_time")
    private Date createTime;

    @TableField("tag")
    private String tag;

    @TableField("tag1")
    private String tag1;
}
