package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePowerLinePlantView;

import java.util.List;

/**
 * 输电线路光伏配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Repository(value = "pps.core.base.mapper.BasePowerLinePlantViewMapper")
public interface BasePowerLinePlantViewMapper {
    BasePowerLinePlantView selectOne(BasePowerLinePlantView record);

    /**
     * 输电线路光伏配置列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLinePlantView}>
     */
    List<BasePowerLinePlantView> selectList(BasePowerLinePlantView record);
}
