package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePriceStrategyView;

import java.util.List;

/**
 * 市电峰谷策略
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Repository(value = "pps.core.base.mapper.BasePriceStrategyViewMapper")
public interface BasePriceStrategyViewMapper {
    BasePriceStrategyView selectOne(BasePriceStrategyView record);

    /**
     * 列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePriceStrategyView}>
     */
    List<BasePriceStrategyView> selectList(@Param(value = "param") BasePriceStrategyView record);
}
