package pps.core.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.ScadaGatherBoxView;
import pps.core.common.utils.SmartRecord;

import java.util.List;
import java.util.Map;

@Repository(value="pps.core.base.mapper.ScadaGatherBoxViewMapper")
public interface ScadaGatherBoxViewMapper {
    ScadaGatherBoxView selectOne(ScadaGatherBoxView record);
    List<ScadaGatherBoxView> selectList(ScadaGatherBoxView record);

    List<ScadaGatherBoxView> selectScadaGatherBaseConf(ScadaGatherBoxView record);
    List<SmartRecord> selectBySql(String _parameter);

    List<ScadaGatherBoxView> selectBoxInfo(ScadaGatherBoxView boxView);

    List<ScadaGatherBoxView> selectBoxInfoByIdsOrStationId(ScadaGatherBoxView boxView);
}

