package pps.core.base.service.data.base_client;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class CreateBaseClientOutput {
    @XText("主键")
    private String id;

    @XText("编码")
    private String clientCode;

    @XText("名称")
    private String clientName;

    @XText("简称")
    private String clientShortAme;

    @XText("曾用名")
    private String usedName;

    @XText("简称曾用名")
    private String shortUsedName;

    @XText("固话")
    private String tel;

    @XText("传真")
    private String fax;

    @XText("手机")
    private String mobile;

    @XText("电子邮件")
    private String email;

    @XText("地址")
    private String address;

    @XText("国家")
    private String country;

    @XText("省")
    private String province;

    @XText("城市")
    private String city;

    @XText("县")
    private String county;

    @XText("邮编")
    private String postcode;

    @XText("备注")
    private String remark;

    @XText("是否删除")
    private Integer beDeleted;

    private Integer saleType;

    private Integer industryType;

    @XText("是否国内")
    private Integer beDomestic;

    @XText("是否重点客户")
    private Integer beKeyCustomer;

    @XText("是否为上游用户")
    private Integer beUpLient;

    @XText("是否为下游用户")
    private Integer beDownClient;

    @XText("是否为托运商")
    private Integer beConsignor;

    private String vendorType;

    @XText("生效时间")
    private Date effectTime;

    @XText("结束时间")
    private Date endTime;

    @XText("地区")
    private String region;

    @XText("排序")
    private Integer sort;

    @XText("MDM编码")
    private String mdmCode;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getClientCode() {
        return this.clientCode;
    }

    public void setClientCode(String value) {
        this.clientCode = value;
    }

    public String getClientName() {
        return this.clientName;
    }

    public void setClientName(String value) {
        this.clientName = value;
    }

    public String getClientShortAme() {
        return this.clientShortAme;
    }

    public void setClientShortAme(String value) {
        this.clientShortAme = value;
    }

    public String getUsedName() {
        return this.usedName;
    }

    public void setUsedName(String value) {
        this.usedName = value;
    }

    public String getShortUsedName() {
        return this.shortUsedName;
    }

    public void setShortUsedName(String value) {
        this.shortUsedName = value;
    }

    public String getTel() {
        return this.tel;
    }

    public void setTel(String value) {
        this.tel = value;
    }

    public String getFax() {
        return this.fax;
    }

    public void setFax(String value) {
        this.fax = value;
    }

    public String getMobile() {
        return this.mobile;
    }

    public void setMobile(String value) {
        this.mobile = value;
    }

    public String getEmail() {
        return this.email;
    }

    public void setEmail(String value) {
        this.email = value;
    }

    public String getAddress() {
        return this.address;
    }

    public void setAddress(String value) {
        this.address = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public String getProvince() {
        return this.province;
    }

    public void setProvince(String value) {
        this.province = value;
    }

    public String getCity() {
        return this.city;
    }

    public void setCity(String value) {
        this.city = value;
    }

    public String getCounty() {
        return this.county;
    }

    public void setCounty(String value) {
        this.county = value;
    }

    public String getPostcode() {
        return this.postcode;
    }

    public void setPostcode(String value) {
        this.postcode = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Integer getBeDeleted() {
        return this.beDeleted;
    }

    public void setBeDeleted(Integer value) {
        this.beDeleted = value;
    }

    public Integer getSaleType() {
        return this.saleType;
    }

    public void setSaleType(Integer value) {
        this.saleType = value;
    }

    public Integer getIndustryType() {
        return this.industryType;
    }

    public void setIndustryType(Integer value) {
        this.industryType = value;
    }

    public Integer getBeDomestic() {
        return this.beDomestic;
    }

    public void setBeDomestic(Integer value) {
        this.beDomestic = value;
    }

    public Integer getBeKeyCustomer() {
        return this.beKeyCustomer;
    }

    public void setBeKeyCustomer(Integer value) {
        this.beKeyCustomer = value;
    }

    public Integer getBeUpLient() {
        return this.beUpLient;
    }

    public void setBeUpLient(Integer value) {
        this.beUpLient = value;
    }

    public Integer getBeDownClient() {
        return this.beDownClient;
    }

    public void setBeDownClient(Integer value) {
        this.beDownClient = value;
    }

    public Integer getBeConsignor() {
        return this.beConsignor;
    }

    public void setBeConsignor(Integer value) {
        this.beConsignor = value;
    }

    public String getVendorType() {
        return vendorType;
    }

    public void setVendorType(String vendorType) {
        this.vendorType = vendorType;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getRegion() {
        return this.region;
    }

    public void setRegion(String value) {
        this.region = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public String getMdmCode() {
        return this.mdmCode;
    }

    public void setMdmCode(String value) {
        this.mdmCode = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
