package pps.core.base.service.data.base_diesel_generator;

import lombok.Data;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;
@Data
public class DeleteBaseDieselGeneratorOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(1_是;0_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("设备名称")
    private String deviceName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("柴发设备机组型号key(字典获取)")
    private String unitTypeKey;

    @XText("柴发设备机组型号name(字典获取)")
    private String unitTypeName;

    @XText("常用功率(KW)")
    private BigDecimal normalPower;

    @XText("备用功率(KW)")
    private BigDecimal standbyPower;


}
