package pps.core.base.service.data.base_operational_constraint;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

@Data
public class BaseOperationalConstraintOuput {

    @XText("主键")
    private String id;

    @XText("业务类型")
    private String busineType;

    @XText("保存或提交截止时间(格式 18:00)")
    private String saveSubmitTime;

    @XText("审核截止时间(格式 18:00)")
    private String auditTime;

    @XText("申请变更截止时间(格式 18:00)")
    private String applyChangeTime;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;
}
