package pps.core.base.service.data.base_photovoltaic_plant;

import lombok.Data;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;
import xstartup.base.data.XPageInput;
@Data
public class QueryBasePhotovoltaicPlantViewInput extends XPageInput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("电站名称")
    private String stationName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    private String photovoltaicModelKey;

    @XText("安装倾角")
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("阵列朝向")
    private BigDecimal arrayOrientation;

    @XText("组织机构name")
    private String ouName;
    @XText("光伏设备规格型号name(字典获取)")
    private String photovoltaicModelName;

}
