package pps.core.base.service.data.base_power_line;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class DynamicQueryBasePowerLineInput {

    @XText("线路ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("上级线路ID")
    private String upperLineId;

    @XText("线路名称")
    private String lineName;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("线路类型key(字典获取)")
    private String lineTypeKey;

    @XText("市电峰谷配置ID")
    private String strategyId;
}
