package pps.core.base.service.data.base_power_line_diesel;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路柴发设备配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class UpdateBasePowerLineDieselInput {

    @XText("柴发设备ID")
    @NotBlank(message = "缺少柴发设备ID")
    private String dieselId;
}
