package pps.core.base.service.data.base_power_line_plant;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

/**
 * 输电线路光伏配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class UpdateBasePowerLinePlantInput {

    @XText("光伏电站ID")
    @NotBlank(message = "缺少光伏电站ID")
    private String plantId;
}
