package pps.core.base.service.data.base_power_line_storage;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePowerLineStorageViewOutput {

    @XText("ID")
    private String id;

    @XText("储能设备ID")
    private String storageId;

    /**
     * 设备名称
     */
    @XText("设备名称")
    @TableField
    private String deviceName;

    /**
     * 装机总量
     */
    @XText("设备容量(KWh)")
    @TableField
    private BigDecimal apparatusCapacity;
}
