package pps.core.base.service.data.base_sys_config;

import com.baomidou.mybatisplus.annotation.TableField;
import pps.core.base.entity.BaseSysConfigView;
import xstartup.annotation.XText;
import xstartup.annotation.XComment;
import xstartup.annotation.XDefaultValue;
import java.util.Date;
import xstartup.base.data.XPageInput;
import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import pps.core.common.pattern.Builder;


//IMPORT---BEGIN---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT
//IMPORT---END---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT

public class QueryBaseSysConfigViewInput extends BaseSysConfigView{

    public static Builder<QueryBaseSysConfigViewInput> inputBuilder(){
        return Builder.create(QueryBaseSysConfigViewInput .class);
    }

    @XText("页码")
    @XComment("第一页从1开始")
    @XDefaultValue("1")
    private @NotNull @Min(1L) Integer page;
    @XText("每一页获取数据条数")
    @XComment("数据范围是1到10000")
    @XDefaultValue("10")
    private @NotNull @Min(1L) @Max(10000L) Integer limit;


    public Integer getPage() {
        return this.page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getLimit() {
        return this.limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    //BEGIN---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT
    //END---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT
}
