package pps.core.base.service.data.base_temperament_device_config;


import xstartup.annotation.XText;

import java.util.Date;

public class ConfDataInput {

    @XText("主键")
    private String id;

    @XText("管线id")
    private String pipelineId;

    @XText("管线名称")
    private String pipelineName;

    @XText("场站id")
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("气质参数来源主场站id")
    private String masterStationId;

    @XText("气质参数来源主场站名称")
    private String masterStationName;

    @XText("气质参数来源备场站id")
    private String spareStationId;

    @XText("气质参数来源备场站名称")
    private String spareStationName;

    @XText("气质参数来源主管线id")
    private String masterPipelineId;

    @XText("气质参数来源主管线名称")
    private String masterPipelineName;

    @XText("气质参数来源备管线id")
    private String sparePipelineId;

    @XText("气质参数来源备管线名称")
    private String sparePipelineName;

    @XText("排序")
    private Integer sort;

    @XText("创建人id")
    private String createById;

    @XText("创建人")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人id")
    private String modifyById;

    @XText("修改人")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getMasterStationId() {
        return masterStationId;
    }

    public void setMasterStationId(String masterStationId) {
        this.masterStationId = masterStationId;
    }

    public String getMasterStationName() {
        return masterStationName;
    }

    public void setMasterStationName(String masterStationName) {
        this.masterStationName = masterStationName;
    }

    public String getSpareStationId() {
        return spareStationId;
    }

    public void setSpareStationId(String spareStationId) {
        this.spareStationId = spareStationId;
    }

    public String getSpareStationName() {
        return spareStationName;
    }

    public void setSpareStationName(String spareStationName) {
        this.spareStationName = spareStationName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getMasterPipelineId() {
        return masterPipelineId;
    }

    public void setMasterPipelineId(String masterPipelineId) {
        this.masterPipelineId = masterPipelineId;
    }

    public String getMasterPipelineName() {
        return masterPipelineName;
    }

    public void setMasterPipelineName(String masterPipelineName) {
        this.masterPipelineName = masterPipelineName;
    }

    public String getSparePipelineId() {
        return sparePipelineId;
    }

    public void setSparePipelineId(String sparePipelineId) {
        this.sparePipelineId = sparePipelineId;
    }

    public String getSparePipelineName() {
        return sparePipelineName;
    }

    public void setSparePipelineName(String sparePipelineName) {
        this.sparePipelineName = sparePipelineName;
    }
}
