package pps.core.base.service.data.base_wellhead;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class CreateBaseWellheadInput {

    @XText("组织机构ID")
    private String ouId;
    @XText("组织机构name")
    private String ouName;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;
    @XText("运行类型name(字典获取)")
    private String runTypeName;

    @XText("运行功率(KW)")
    private BigDecimal serviceRating;



    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public String getRunTypeKey() {
        return this.runTypeKey;
    }

    public void setRunTypeKey(String value) {
        this.runTypeKey = value;
    }

    public BigDecimal getServiceRating() {
        return this.serviceRating;
    }

    public void setServiceRating(BigDecimal value) {
        this.serviceRating = value;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getRunTypeName() {
        return runTypeName;
    }

    public void setRunTypeName(String runTypeName) {
        this.runTypeName = runTypeName;
    }
}
