package pps.core.base.service.data.base_wellhead;

import lombok.Data;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import xstartup.base.data.XPageInput;
@Data
public class QueryBaseWellheadInput extends XPageInput {


    @XText("组织机构ID")
    private String ouId;
    @XText("组织机构ID")
    private String ouName;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;
    @XText("运行类型name(字典获取)")
    private String runTypeName;

    @XText("运行功率(KW)")
    private BigDecimal serviceRating;

    @XText("排除已绑定线路标识")
    private String excludeIdFlag;

}
