package pps.core.base.service.data.scada_gather_box;

import lombok.Data;
import xstartup.annotation.XText;
@Data
public class DownloadScadaGatherBoxContent {
    private String stationId;

    private String stationName;

    private String templateName;

    private String title;

    private String scadaGatherBoxId;

    private String scadaGatherBoxRelId;

    private String configColumnId;

    private String tagName;

    private String tagTitle;

    private Integer sort;

    @XText("scada环境标识 ")
    private String scadaEnvironmentInfoId;

    @XText("scada环境名称")
    private String environmentInfoName;

    @XText("scada 清单标识")
    private String scadaInventoryInfoId;

    @XText("Scada点号")
    private String scadaTag;

    @XText("采集频率")
    private String collectInterval;

    @XText("计算系数")
    private String computCoefficient;

    @XText("向前向后（1-向前；2-向后）")
    private String moveTowards;

    @XText("采集类型（1-常规；2-自定义）")
    private String gatherType;

    @XText("偏移量")
    private String gatherOffset;

    @XText("开始采集时间")
    private String collectStartTime;

    @XText("描述")
    private String description;

    @XText("其他1")
    private String otherInfo1;

    @XText("其他2")
    private String otherInfo2;

    @XText("其他3")
    private String otherInfo3;

    @XText("其他4")
    private String otherInfo4;

    @XText("其他5")
    private String otherInfo5;

    @XText("其他6")
    private String otherInfo6;
}
