package pps.core.base.service.data.scada_gather_box;

import pps.core.base.service.data.scada_gather_box_m_ou.UpdateScadaGatherBoxMOuInput;
import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

public class UpdateScadaGatherBoxInput {
    @XText("采集模型主键")
    private String id;

    private List<UpdateScadaGatherBoxMOuInput> ouInputs;

    @XText("多选业务类型")
    private List<String> businessTypes;

    @XText("采集模板名称")
    private String gatherBoxName;

    @XText("采集模型主键")
    private String mediaType;

    @XText("模型状态")
    private Integer boxState;

    @XText("创建时间")
    private Date createTime;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    public List<String> getBusinessTypes() {
        return businessTypes;
    }

    public void setBusinessTypes(List<String> businessTypes) {
        this.businessTypes = businessTypes;
    }

    public List<UpdateScadaGatherBoxMOuInput> getOuInputs() {
        return ouInputs;
    }

    public void setOuInputs(List<UpdateScadaGatherBoxMOuInput> ouInputs) {
        this.ouInputs = ouInputs;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getGatherBoxName() {
        return this.gatherBoxName;
    }

    public void setGatherBoxName(String value) {
        this.gatherBoxName = value;
    }

    public String getMediaType() {
        return this.mediaType;
    }

    public void setMediaType(String value) {
        this.mediaType = value;
    }

    public Integer getBoxState() {
        return this.boxState;
    }

    public void setBoxState(Integer value) {
        this.boxState = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
