package pps.core.task.service;

import pps.core.task.job.TestJob;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.feature.api.annotation.XApiPost;

/**
 * @author lixueyan
 * @date 2023/5/4 0004 15:33
 */
@XService
@XText("任务服务-测试调用")
public class TaskService {

    @XApiPost(anonymous = true)
    @XText("测试")
    public XServiceResult getTaskByTest(XContext context) {
        TestJob bean = context.getBean(TestJob.class);
        return bean.execute(context);
    }
}
