package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseEnt;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 间开制度小间开时段配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
@TableName("space_interval_duration")
public class SpaceIntervalDurationEnt extends BaseEnt implements Serializable {

    @XText("间开制度ID")
    @TableField
    private String intervalId;

    @XText("间开制度井口配置ID")
    @TableField
    private String configId;

    @XText("开井时间")
    @TableField
    private Date openWellTime;

    @XText("关井时间")
    @TableField
    private Date closeWellTime;
}
