package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 间开制度小间开时段配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class SpaceIntervalDurationView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("间开制度ID")
    @TableField
    private String intervalId;

    @XText("间开制度井口配置ID")
    @TableField
    private String configId;

    @XText("开井时间")
    @TableField
    private Date openWellTime;

    @XText("关井时间")
    @TableField
    private Date closeWellTime;

}
