package pps.core.space.service.data.space_interval_system_calibration;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class DeleteSpaceIntervalSystemCalibrationOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(1_是;0_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构")
    private String ouName;

    @XText("线路ID")
    private String lineId;

    @XText("线路名称")
    private String lineName;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("电网类型name(字典获取)")
    private String gridTypeName;

    @XText("制度名称")
    private String systemName;

    @XText("执行开始时间")
    private String implementStartDate;

    @XText("执行结束时间")
    private String implementEndDate;

    @XText("校准日期")
    private String calibrationDate;

    @XText("0未处理 1已处理")
    private Integer implementStatus;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getOuName() {
        return this.ouName;
    }

    public void setOuName(String value) {
        this.ouName = value;
    }

    public String getLineId() {
        return this.lineId;
    }

    public void setLineId(String value) {
        this.lineId = value;
    }

    public String getLineName() {
        return this.lineName;
    }

    public void setLineName(String value) {
        this.lineName = value;
    }

    public String getGridTypeKey() {
        return this.gridTypeKey;
    }

    public void setGridTypeKey(String value) {
        this.gridTypeKey = value;
    }

    public String getGridTypeName() {
        return this.gridTypeName;
    }

    public void setGridTypeName(String value) {
        this.gridTypeName = value;
    }

    public String getSystemName() {
        return this.systemName;
    }

    public void setSystemName(String value) {
        this.systemName = value;
    }

    public String getImplementStartDate() {
        return this.implementStartDate;
    }

    public void setImplementStartDate(String value) {
        this.implementStartDate = value;
    }

    public String getImplementEndDate() {
        return this.implementEndDate;
    }

    public void setImplementEndDate(String value) {
        this.implementEndDate = value;
    }

    public String getCalibrationDate() {
        return this.calibrationDate;
    }

    public void setCalibrationDate(String value) {
        this.calibrationDate = value;
    }

    public Integer getImplementStatus() {
        return this.implementStatus;
    }

    public void setImplementStatus(Integer value) {
        this.implementStatus = value;
    }

}
